package com.caimei.config;

import org.springframework.context.annotation.Configuration;
import org.springframework.web.servlet.config.annotation.InterceptorRegistry;
import org.springframework.web.servlet.config.annotation.WebMvcConfigurer;

import javax.annotation.Resource;

/**
 * Description
 *
 * @author : Aslee
 * @date : 2021/5/18
 */
@Configuration
public class ApiConfig implements WebMvcConfigurer {
    @Resource
    private ApiInterceptor apiInterceptor;

    @Resource
    private WxApiInterceptor wxApiInterceptor;

    @Override
    public void addInterceptors(InterceptorRegistry registry) {
        //addPathPatterns 用于添加拦截规则
        //excludePathPatterns 用于排除拦截
        registry.addInterceptor(apiInterceptor)
                .addPathPatterns("/auth/**")
                .addPathPatterns("/club/**")
                .addPathPatterns("/shop/**")
//                .addPathPatterns("/upload/**")
                .addPathPatterns("/user/update/password")
                .addPathPatterns("/data/**")
                .addPathPatterns("/sys/**")
                .addPathPatterns("/vip/**")
                .excludePathPatterns("/auth/webhook")
                .excludePathPatterns("/auth/get/info/by/id")
                .excludePathPatterns("/auth/upload/video/to/douyin")
                .excludePathPatterns("/auth/export/excel");
        registry.addInterceptor(wxApiInterceptor)
                .addPathPatterns("/wx/data/**")
                .addPathPatterns("/wx/auth/product/form/data")
                .addPathPatterns("/wx/auth/form/data")
                .addPathPatterns("/wx/auth/product/save")
                .addPathPatterns("/wx/user/token/check");
    }
}
