package com.caimei.config;

import com.caimei.components.RedisService;
import com.caimei.mapper.cmMapper.ClubMapper;
import com.caimei.model.vo.WxClubUserVo;
import com.caimei.utils.JwtUtil;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.stereotype.Component;
import org.springframework.web.servlet.HandlerInterceptor;

import javax.annotation.Resource;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

/**
 * Description
 *
 * @author : Aslee
 * @date : 2021/5/18
 */
@Component
public class ApiInterceptor implements HandlerInterceptor {

    private RedisService redisService;

    @Autowired
    public void setRedisService(RedisService redisService) {
        this.redisService = redisService;
    }

    @Resource
    private ClubMapper clubMapper;

    @Value("${caimei.zplmapi}")
    private String zplmapi;

    @Override
    public boolean preHandle(HttpServletRequest request, HttpServletResponse response, Object handler) throws Exception {
        String token = request.getHeader("X-Token");
        String cacheToken = null != token ? String.valueOf(redisService.get(token)) : null;
        if (null == cacheToken || !JwtUtil.isVerify(cacheToken)) {
            // Token失效
            response.sendRedirect(zplmapi + "/unauthorized");
            return false;
        }
        return true;
    }

}
