package com.caimei.config;

import com.alibaba.fastjson.JSONObject;
import com.google.gson.Gson;
import com.twelvemonkeys.util.LinkedSet;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Component;
import org.springframework.util.StreamUtils;

import javax.servlet.*;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletRequestWrapper;
import javax.servlet.http.HttpServletResponse;
import java.io.BufferedReader;
import java.io.ByteArrayInputStream;
import java.io.IOException;
import java.io.InputStreamReader;
import java.util.*;

@Slf4j
//@Component
public class ArgumentFilter implements Filter {

    @Override
    public void doFilter(ServletRequest request, ServletResponse response, FilterChain filterChain) throws IOException, ServletException {
        HttpServletRequest httpRequest = (HttpServletRequest) request;
        HttpServletResponse httpResponse = (HttpServletResponse) response;
        String token = httpRequest.getHeader("token");
        Integer userId = 123456;
        log.info("filter获取用户Id={}", userId);
        HttpServletRequestWrapper requestWrapper = new HttpServletRequestWrapper(httpRequest) {
            /*@Override
            public Enumeration<String> getParameterNames(){
                Set<String> paramNames = new LinkedSet<>();
                paramNames.add("authUserId");
                Enumeration<String> parameterNames = super.getParameterNames();
                if (parameterNames.hasMoreElements()) {
                    paramNames.add(parameterNames.nextElement());
                }
                return Collections.enumeration(paramNames);
            }

            @Override
            public String[] getParameterValues(String name){
                if ("authUserId".equals(name)) {
                    return new String[]{"123456"};
                }
                return super.getParameterValues(name);
            }*/

            @Override
            public ServletInputStream getInputStream() {
                byte[] requestBody = new byte[0];
                try {
                    //获取request的输入流，并设置格式为UTF-8
                    BufferedReader streamReader = new BufferedReader(new InputStreamReader(request.getInputStream(), "UTF-8"));
                    //将输入流数据放入StringBuilder
                    StringBuilder stringBuilder = new StringBuilder();
                    String inputStr = null;
                    while ((inputStr = streamReader.readLine()) != null) {
                        stringBuilder.append(inputStr);
                    }
                    Gson gson = new Gson();
                    HashMap map = gson.fromJson(stringBuilder.toString(), HashMap.class);
                    map.put("authUserId", "234567");
                    requestBody = gson.toJson(map).getBytes();
                } catch (Exception e) {
                    e.printStackTrace();
                }

                final ByteArrayInputStream bais = new ByteArrayInputStream(requestBody);
                return new ServletInputStream() {
                    @Override
                    public boolean isFinished() {
                        return false;
                    }

                    @Override
                    public boolean isReady() {
                        return true;
                    }

                    @Override
                    public void setReadListener(ReadListener readListener) {

                    }

                    @Override
                    public int read() {
                        return bais.read();
                    }
                };
            }
        };
        filterChain.doFilter(requestWrapper, httpResponse);
    }
}
