package com.caimei.config;

import org.springframework.boot.web.servlet.FilterRegistrationBean;
import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;

import javax.annotation.Resource;
import javax.servlet.Filter;

//@Configuration
public class FilterConfig {

    @Resource
    private ArgumentFilter argumentFilter;

    @Bean
    public FilterRegistrationBean<Filter> registerAuthFilter() {
        FilterRegistrationBean<Filter> registration = new FilterRegistrationBean<>();
        registration.setFilter(argumentFilter);
        registration.addUrlPatterns("/auth/*");
        registration.addUrlPatterns("/club/*");
        registration.addUrlPatterns("/shop/*");
        registration.addUrlPatterns("/user/update/password");
        registration.addUrlPatterns("/data/*");
        registration.addUrlPatterns("/sys/*");
        registration.addUrlPatterns("/vip/*");
        registration.addUrlPatterns("/auth/export/excel");
        registration.addUrlPatterns("/auth/webhook");
        registration.addUrlPatterns("/auth/get/info/by/id");
        registration.addUrlPatterns("/auth/upload/video/to/douyin");
        registration.setName("argumentFilter");
        // 值越小，Filter越靠前
        registration.setOrder(FilterRegistrationBean.LOWEST_PRECEDENCE);
        return registration;
    }
}