package com.caimei.controller.admin.auth;

import com.caimei.model.ResponseJson;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * Description
 *
 * @author : Charles
 * @date : 2020/3/4
 */
@RestController
@Api(tags = "默认API")
public class DefaultApi {
    @GetMapping("/")
    @ApiOperation("欢迎页")
    public String welcome(){
        return "欢迎使用！《正品联盟后台》!";
    }

    @GetMapping("/unauthorized")
    @ApiOperation("Token失效")
    public ResponseJson unauthorized() {
        return ResponseJson.error(-99, "Token失效请重新登录!");
    }

    @GetMapping("/error")
    @ApiOperation("处理非法请求")
    public ResponseJson error() {
        return ResponseJson.error(-100, "非法的请求!");
    }
}
