package com.caimei.controller.noToken;

import com.caimei.model.ResponseJson;
import com.caimei.model.vo.FileTreeVo;
import com.caimei.service.data.DatabaseService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiImplicitParam;
import io.swagger.annotations.ApiImplicitParams;
import io.swagger.annotations.ApiOperation;
import lombok.RequiredArgsConstructor;
import lombok.extern.slf4j.Slf4j;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;

@Api(tags = "前端资料库Api")
@Slf4j
@RestController
@RequiredArgsConstructor
@RequestMapping("/notoken/path")
public class WxDatabaseApi {

    private final DatabaseService databaseService;

    @ApiOperation("获取当前路径下文件")
    @ApiImplicitParams({
            @ApiImplicitParam(name = "fileId", required = true, value = "文件Id"),
            @ApiImplicitParam(name = "authUserId", required = true, value = "供应商用户id")
    })
    @GetMapping("/file")
    public ResponseJson<List<FileTreeVo>> getFileById(Integer fileId, Integer authUserId) {
        return databaseService.getFileById(fileId, authUserId);
    }

    @ApiOperation("面包屑")
    @ApiImplicitParams({
            @ApiImplicitParam(name = "fileId", required = true, value = "当前文件夹Id"),
            @ApiImplicitParam(name = "authUserId", required = true, value = "供应商用户id")
    })
    @GetMapping("/crumbs")
    public ResponseJson<FileTreeVo> getCrumbs(Integer fileId, Integer authUserId) {
        return databaseService.getCrumbs(fileId, authUserId);
    }

}
