package com.caimei.controller.wechat;

import com.caimei.model.ResponseJson;
import com.caimei.service.wechat.SDKService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiImplicitParam;
import io.swagger.annotations.ApiImplicitParams;
import io.swagger.annotations.ApiOperation;
import lombok.RequiredArgsConstructor;
import lombok.extern.slf4j.Slf4j;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.Map;

@Api(tags = "微信SDKAPI")
@Slf4j
@RestController
@RequiredArgsConstructor
@RequestMapping("/wx/sdk")
public class SDKApi {
    private final SDKService sdkService;


    @ApiOperation("获取公众号数据")
    @ApiImplicitParams({
            @ApiImplicitParam(name = "appId", required = true, value = "公众号appId"),
            @ApiImplicitParam(name = "url", required = false, value = "公众号链接")
    })
    @GetMapping("/config/data")
    public ResponseJson<Map<String, String>> getConfigData(String appId, String url) throws Exception {
        return sdkService.getConfigData(appId, url);
    }


    @ApiOperation("获取公众号类型")
    @ApiImplicitParam(name = "appId", required = true, value = "公众号appId")
    @GetMapping("/account/type")
    public ResponseJson<Integer> getWxAccountType(String appId) {
        return sdkService.getWxAccountType(appId);
    }

}
