package com.caimei.mapper.cmMapper;

import com.caimei.model.po.ArticlePo;
import com.caimei.model.vo.ArticleFormVo;
import com.caimei.model.vo.ArticleListVo;
import com.caimei.model.vo.WxArticleListVo;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.Date;
import java.util.List;

/**
 * Description
 *
 * @author : Aslee
 * @date : 2021/7/8
 */
@Mapper
public interface ArticleMapper {

    List<ArticleListVo> getArticleList(Integer listType, @Param("authUserId") Integer authUserId, @Param("articleTitle") String articleTitle, @Param("auditStatus") Integer auditStatus, @Param("status") Integer status);

    void insertArticle(ArticlePo article);

    void updateArticleByArticleId(ArticlePo article);

    void updateArticleStatusByArticleId(@Param("articleId") Integer articleId, @Param("status") Integer status);

    void deleteArticleByArticleId(Integer articleId);

    void updateArticleAuditStatus(@Param("articleId") Integer articleId, @Param("status") Integer status, @Param("auditStatus") Integer auditStatus, @Param("invalidReason") String invalidReason, @Param("auditBy") Integer auditBy, @Param("auditTime") Date auditTime);

    ArticleFormVo getArticleForm(Integer articleId);

    List<WxArticleListVo> getWxArticleList(@Param("authUserId") Integer authUserId, @Param("articleTitle") String articleTitle);

    void checkArticle(Integer articleId);

    void updateSort(Integer articleId, Integer sort);
}
