package com.caimei.mapper.cmMapper;

import com.caimei.model.po.ClubUserPo;
import com.caimei.model.vo.*;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * Description
 *
 * @author : Aslee
 * @date : 2021/7/8
 */
@Mapper
public interface ClubMapper {
    List<ClubVo> getClubList(@Param("authUserId") Integer authUserId, @Param("authParty") String authParty);

    List<ClubUserVo> getClubUserList(@Param("authUserId") Integer authUserId, @Param("mobile") String mobile, String name, @Param("status") Integer status);

    void insertClubUser(ClubUserPo clubUser);

    List<WxClubListVo> getWxClubList(@Param("authUserId") Integer authUserId, @Param("authParty") String authParty, @Param("provinceId") Integer provinceId, @Param("cityId") Integer cityId, @Param("townId") Integer townId, @Param("lng") Double lng, @Param("lat") Double lat);

    Integer checkMobile(@Param("mobile") String mobile, @Param("appId") String appId);

    void insertFeedback(@Param("clubUserId") Integer clubUserId, @Param("content") String content);

    WxClubUserVo getWxClubUser(@Param("mobile") String mobile, @Param("appId") String appId, @Param("authUserId") Integer authUserId, @Param("authId") Integer authId, @Param("clubUserId") Integer clubUserId);

    WxClubDetailsVo getClubDetails(Integer authId);

    void updateClubUser(ClubUserPo clubUser);

    void deleteClubUser(Integer clubUserId);

    void updatePassword(@Param("mobile") String mobile, @Param("password") String password, @Param("authUserId") Integer authUserId);

    void bindAuthId(@Param("clubUserId") Integer clubUserId, @Param("authId") Integer authId);

    void updateStatus(@Param("clubUserId") Integer clubUserId, @Param("status") Integer status);

    void updateClubUserPassword(@Param("clubUserId") Integer clubUserId, @Param("password") String md5Password);

    void unbindAuthId(Integer clubUserId);

    String getDbPassword(Integer clubUserId);

    List<WxClubListVo> getWxStarClubList(Integer authUserId);

    //绑定更换机构
    void saveBindAuth(Integer authId,String authParty,Integer authUserId,Integer clubUserId);

    //根據id獲取用戶信息
    WxClubUserVo getUserInfoByToken(Integer clubUserId);
}
