package com.caimei.mapper.cmMapper;

import com.caimei.model.po.CourseFilePo;
import com.caimei.model.po.ProductImagePo;
import com.caimei.model.po.FilePo;
import com.caimei.model.vo.*;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.Date;
import java.util.List;

/**
 * Description
 *
 * @author : Aslee
 * @date : 2021/7/8
 */
@Mapper
public interface FileMapper {

    List<FileListVo> getFileList(Integer listType, @Param("authUserId") Integer authUserId, Integer fileType, @Param("fileTitle") String fileTitle, @Param("auditStatus") Integer auditStatus, @Param("status") Integer status);

    void insertFile(FilePo file);

    void updateFileByFileId(FilePo file);

    void updateFileStatusByFileId(@Param("fileId") Integer fileId, @Param("status") Integer status);

    void deleteFileByFileId(Integer fileId);

    void updateFileAuditStatus(@Param("fileId") Integer fileId, @Param("status") Integer status, @Param("auditStatus") Integer auditStatus, @Param("invalidReason") String invalidReason, @Param("auditBy") Integer auditBy, @Param("auditTime") Date auditTime);

    void updateFileSelective(FilePo file);

    List<WxFileListVo> getWxFileList(@Param("authUserId") Integer authUserId, @Param("fileType") Integer fileType, @Param("fileTitle") String fileTitle);

    List<ProductImagePo> getAuthImageData();

    void updateCourseFile(CourseFilePo courseFile);

    void insertCourseFile(CourseFilePo courseFile);

    List<CourseFileListVo> getCourseFileList(@Param("fileType") Integer fileType, @Param("fileModule") String fileModule, @Param("fileTitle") String fileTitle);

    void deleteCourseFileByFileId(Integer fileId);

    List<ProductImagePo> getProductImageList(@Param("authId") Integer authId);

    List<AuthVo> getAuthImageList(@Param("authIds") String authIds);

    FilePo getFileForm(Integer fileId);

    void checkFile(Integer fileId);

    List<AuthVo> getAuthImageList(Integer authUserId);

    List<FileTreeVo> findFileTree(@Param("fileId") Integer fileId, @Param("authUserId") Integer authUserId,@Param("packageType")Integer packageType);

    List<FileTreeVo> findFileChild(Integer fileId);

    void creatPackage(@Param("authUserId") Integer authUserId,@Param("fileId") Integer fileId, @Param("packageName") String packageName);

    List<FileTreeVo> findSonFiles(Integer fileId);

    List<FileTreeVo> findSonPackage(@Param("fileId") Integer fileId, @Param("authUserId") Integer authUserId, @Param("selectFor") Integer selectFor);

    void insertNewFile(FileTreeVo fileTreeVo);

    void updateFile(FileTreeVo fileTreeVo);

    FileTreeVo findFile(@Param("fileId")Integer fileId,@Param("authUserId") Integer authUserId,@Param("packageType")Integer packageType);

    void deleteFileTreeById(Integer fileId);

    String findShopPrefix(Integer authUserId);

    void insertImgUrl(FileTreeVo fileTreeVo);

    void updateFileByArticleId(FileTreeVo fileTreeVo);

    FileTreeVo findFileByArticleId(Integer id);
}
