package com.caimei.mapper.cmMapper;

import com.caimei.model.po.ImagePo;
import com.caimei.model.vo.ImageFormVo;
import com.caimei.model.vo.ImageListVo;
import com.caimei.model.vo.WxImageListVo;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.Date;
import java.util.List;

/**
 * Description
 *
 * @author : Aslee
 * @date : 2021/7/8
 */
@Mapper
public interface ImageMapper {

    List<ImageListVo> getImageList(Integer listType, @Param("authUserId") Integer authUserId, @Param("imageTitle") String imageTitle, @Param("auditStatus") Integer auditStatus, @Param("status") Integer status);

    void insertImage(ImagePo image);

    void updateImageByImageId(ImagePo image);

    void updateImageStatusByImageId(@Param("imageId") Integer imageId, @Param("status") Integer status);

    void deleteImageByImageId(Integer imageId);

    void updateImageAuditStatus(@Param("imageId") Integer imageId, @Param("status") Integer status, @Param("auditStatus") Integer auditStatus, @Param("invalidReason") String invalidReason, @Param("auditBy") Integer auditBy, @Param("auditTime") Date auditTime);

    void deleteImageDetail(Integer imageId);

    void insertImageDetail(@Param("imageId") Integer imageId, @Param("image") String image);

    ImageFormVo getImageForm(Integer imageId);

    List<String> getImageListByImageId(Integer imageId);

    List<WxImageListVo> getWxImageList(Integer authUserId, String imageTitle);

    void checkImage(Integer imageId);
}
