package com.caimei.mapper.cmMapper;

import com.caimei.model.dto.ShopInfoDto;
import com.caimei.model.po.UserPo;
import com.caimei.model.vo.*;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * Description
 *
 * @author : Aslee
 * @date : 2021/5/11
 */
@Mapper
public interface ShopMapper {

    List<ShopListVo> getShopList(@Param("listType") Integer listType, @Param("shopName") String shopName, @Param("loginAccount") String loginAccount, @Param("shopType") Integer shopType, @Param("infoId") Integer infoId, @Param("mobile") String mobile, @Param("linkMan") String linkMan, @Param("lowerAuditStatus") Integer lowerAuditStatus, @Param("sendStatus") Integer sendStatus);

    void updateShopStatusByUserId(@Param("authUserId") Integer authUserId, @Param("status") Integer status);

    String getShopMobileByUserId(Integer authUserId);

    Integer getFileNumByMd5Hex(String md5Hex);

    void insertShop(UserPo shop);

    void insertShopInfo(ShopInfoDto shopInfo);

    void updateShopByUserId(UserPo shop);

    ShopFormVo getShopByUserId(Integer authUserId);

    List<ShopInfoVo> getShopInfoList(@Param("authUserId") Integer authUserId);

    List<CountryVo> getCountryList();

    Integer getUserIdByMobile(String mobile);

    List<ShopInfoVo> getDbInfoList(Integer authUserId);

    void deleteShopInfoById(Integer infoId);

    void updateShopInfo(ShopInfoDto shopInfoVo);

    List<ShopInfoVo> getShopInfoByUserId(Integer authUserId);

    Integer getUserIdByShopName(String shopName);

    Integer getAuthWaitAuditNum(Integer authUserId);

    Integer getProductWaitAuditNum(Integer authUserId);

    Integer getProductCount(@Param("authUserId") Integer authUserId, @Param("infoId") Integer infoId);

    List<FeedbackVo> getFeedbackList(@Param("authUserId") Integer authUserId, @Param("authParty") String authParty, @Param("mobile") String mobile, @Param("handleStatus") Integer handleStatus);

    FeedbackVo getFeedback(Integer feedbackId);

    void handleFeedback(@Param("feedbackId") Integer feedbackId, @Param("handleResult") String handleResult);

    Integer getShopStatus(Integer authUserId);

    Integer getUserIdByAppId(String appId);

    String getAppSecretByAppId(String appId);

    String getAppId(Integer authUserId);

    String getShopNameByAppId(String appId);

    List<String> getShopBrands(Integer authUserId);

    WxShopVo getWxShopInfo(Integer authUserId);

    Integer getWxAccountTypeByAppId(String appId);

    void updateShopMobile(@Param("authUserId") Integer authUserId, @Param("newMobile") String newMobile);

    String getLoginAccount(Integer authUserId);

    void bindLoginAccount(@Param("authUserId") Integer authUserId, @Param("loginAccount") String loginAccount);

    void updateShopLinkMan(@Param("authUserId") Integer authUserId, @Param("linkMan") String linkMan);

    void updateShopLogo(@Param("authUserId") Integer authUserId, @Param("logo") String logo);

    List<CmShopVo> getCmShopList();

    Integer getUserIdByPrefix(String prefix);
}
