package com.caimei.mapper.cmMapper;

import com.caimei.model.po.VideoPo;
import com.caimei.model.vo.VideoListVo;
import com.caimei.model.vo.WxVideoListVo;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.Date;
import java.util.List;

/**
 * Description
 *
 * @author : Aslee
 * @date : 2021/7/8
 */
@Mapper
public interface VideoMapper {

    List<VideoListVo> getVideoList(Integer listType, @Param("authUserId") Integer authUserId, @Param("videoTitle") String videoTitle, @Param("auditStatus") Integer auditStatus, @Param("status") Integer status);

    void insertVideo(VideoPo video);

    void updateVideoByVideoId(VideoPo video);

    void updateVideoStatusByVideoId(@Param("videoId") Integer videoId, @Param("status") Integer status);

    void deleteVideoByVideoId(Integer videoId);

    void updateVideoAuditStatus(@Param("videoId") Integer videoId, @Param("status") Integer status, @Param("auditStatus") Integer auditStatus, @Param("invalidReason") String invalidReason, @Param("auditBy") Integer auditBy, @Param("auditTime") Date auditTime);

    void updateVideoSelective(VideoPo video);

    List<WxVideoListVo> getWxVideoList(@Param("authUserId") Integer authUserId, @Param("videoTitle") String videoTitle);

    VideoPo getVideoForm(Integer videoId);

    void checkVideo(Integer videoId);
}
