package com.caimei.mapper.cmMapper;

import com.caimei.model.dto.PackageDto;
import com.caimei.model.po.AuthVipPo;
import com.caimei.model.po.SysMenu;
import com.caimei.model.po.VipHistoryPo;
import com.caimei.model.vo.*;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.Date;
import java.util.List;

/**
 * Description
 *
 * @author : Aslee
 * @date : 2021/5/11
 */
@Mapper
public interface VipMapper {

    void deleteVipPackages();

    void deleteVipServices();

    void insertVipPackage(PackageDto pac);

    void insertVipService(String service);

    List<VipPackageVo> getVipPackageList();

    List<VipServiceVo> getVipServiceList();

    Date getVipEndTime(Integer authUserId);

    VipPackageVo getVipPackageById(Integer packageId);

    Integer getVipHistoryId(@Param("authUserId") Integer authUserId, @Param("packageId") Integer packageId);

    void updateVipHistory(VipHistoryPo vipHistory);

    void insertVipHistory(VipHistoryPo vipHistory);

    List<VipListVo> getVipList(@Param("shopName") String shopName, @Param("shopType") Integer shopType, Integer vipStatus, @Param("mobile") String mobile, @Param("linkMan") String linkMan);

    List<VipHistoryListVo> getVipHistoryList(@Param("authUserId") Integer authUserId, @Param("vipPackageId") Integer vipPackageId, @Param("vipStatus") Integer vipStatus, @Param("payBeginTime") String payBeginTime, @Param("payEndTime") String payEndTime, @Param("endBeginTime") String endBeginTime, @Param("endEndTime") String endEndTime);

    VipInfoVo getVipInfo(Integer authUserId);

    AuthVipPo getAuthVipInfo(Integer authUserId);

    void updateAuthVipInfo(AuthVipPo authVip);

    void insertAuthVipInfo(AuthVipPo authVip);

    List<SysMenu> getBaseMenuList();

    List<SysMenu> getUpMenuList();

    String getVipServiceName(String serviceId);
}
