package com.caimei.model.dto;


import com.caimei.model.po.ProductParamPo;
import lombok.Data;

import javax.validation.constraints.NotNull;
import java.util.List;


/**
 * Description
 *
 * @author : Aslee
 * @date : 2021/5/17
 */
@Data
public class ProductSaveDto {
    /**
     * 授权商品id
     */
    private Integer productId;

    /**
     * 授权id
     */
    private Integer authId;

    /**
     * 机构设备关联id
     */
    private Integer relationId;

    /**
     * 认证方式：1新设备认证，2关联已认证设备
     */
    private Integer authType;

    /**
     * 品牌信息id
     */
    private Integer infoId;

    /**
     * 设备分类id
     */
    private Integer productTypeId;

    /**
     * 设备名称
     */
    private String productName;

    /**
     * 商品SN码
     */
    private String snCode;

    /**
     * 商品图片
     */
    private String productImage;

    /**
     * 授权牌照
     */
    private String certificateImage;

    /**
     * 授权牌照类型：1模板库生成，2自定义上传
     */
    private Integer certificateImageType;

    /**
     * 购买渠道
     */
    private String purchaseWay;

    /**
     * 发票图片
     */
    private String invoiceImage;

    /**
     * 创建人id
     */
    private Integer createBy;

    /**
     * 商品参数列表
     */
    private List<ProductParamPo> paramList;

    /**
     * 来源：1供应商保存，2机构保存
     */
    private Integer source;

    /**
     * SN码集合（用于关联其他关联机构）
     */
    private List<String> SnList;
}
