package com.caimei.model.po;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;
import java.util.List;

import com.caimei.model.vo.ProductFormVo;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * cm_brand_auth
 * @author 
 */
@Data
public class CmBrandAuthPo {
    private Integer id;

    /**
     * 供应商用户id
     */
    private Integer authUserId;

    /**
     * 被授权方名称
     */
    private String authParty;

    /**
     * 省id
     */
    private Integer provinceId;

    /**
     * 市id
     */
    private Integer cityId;

    /**
     * 区id
     */
    private Integer townId;

    /**
     * 区域
     */
    private String area;

    /**
     * 详细地址
     */
    private String address;

    /**
     * 经度
     */
    private BigDecimal lng;

    /**
     * 纬度
     */
    private BigDecimal lat;

    /**
     * 联系方式
     */
    private String mobile;

    /**
     * 对应机构用户手机号
     */
    private String userMobile;

    /**
     * 运营联系人
     */
    private String linkMan;

    /**
     * 运营联系人手机号
     */
    private String linkMobile;

    /**
     * 一级分类为医美=1,生美=2,项目公司=3，个人=4，其他=5
     */
    private Integer firstClubType;

    /**
     * 医美的二级分类为诊所=1、门诊=2、医院=3，其他=4。生美二级分类,美容院=5，养生馆=6，其他=7
     */
    private Integer secondClubType;

    /**
     * 医疗许可证图片
     */
    private String medicalLicenseImage;

    /**
     * 员工人数
     */
    private Integer empNum;

    /**
     * 机构logo
     */
    private String logo;

    /**
     * 是否需要自定义属性：0否，1是
     */
    private Integer customFlag;

    /**
     * 店铺备注
     */
    private String remarks;

    /**
     * 上线状态：0已下线，1已上线，2待上线
     */
    private Integer status;

    /**
     * 管理员审核人id，对应cm_brand_auth_user
     */
    private Integer auditBy;

    /**
     * 审核状态：0审核未通过，1审核通过，2待审核
     */
    private Integer auditStatus;

    /**
     * 审核时间
     */
    private Date auditTime;

    /**
     * 供应商审核人id
     */
    private Integer shopAuditBy;

    /**
     * 供应商审核状态：0审核未通过，1审核通过，2待审核
     */
    private Integer shopAuditStatus;

    /**
     * 供应商审核时间
     */
    private Date shopAuditTime;

    /**
     * 创建人Id
     */
    private Integer createBy;

    /**
     * 创建来源：1供应商添加，2机构用户添加
     */
    private Integer createSource;

    /**
     * 删除标志：1已删除，0不是
     */
    private Integer delFlag;

    /**
     * 商品列表
     */
    private List<ProductFormVo> productList;

    /**
     * 商品参数数量最大值
     */
    private Integer maxParamNum;

    /**
     * 认证编号
     */
    private String authCode;

    /**
     * 认证日期
     */
    private Date authDate;

    /**
     * 授权牌logo(logo与机构名称组合)
     */
    private String authImageLogo;

    /**
     * 授权牌(自定义上传)
     */
    private String authImage;

    /**
     * pc添加水印授权牌
     */
    private String pcAuthImage;

    /**
     * 小程序添加水印授权牌
     */
    private String appletsAuthImage;

    /**
     * 授权牌类型：1模板库生成，2自定义上传
     */
    private Integer authImageType;

    /**
     * 是否查看过：1是，0否
     */
    private Integer checkFlag;

    /**
     * 关联机构ID（多个用,隔开）
     */
    private String relationId;
    /**
     * 关联机构名称（多个用,隔开）
     */
    private String relationName;

    /**
     * 明星机构排序值（数值越大，排名越前）
     */
    private String starNum;

}