package com.caimei.model.po;

import java.io.Serializable;
import java.util.Date;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * cm_brand_auth_product
 *
 * @author Aslee
 * @date 2021/5/17
 */
@Data
public class ProductPo {
    /**
     * 商品Id
     */
    private Integer productId;

    /**
     * 授权Id
     */
    private Integer authId;

    /**
     * 品牌信息Id
     */
    private Integer infoId;

    /**
     * 设备分类id
     */
    private Integer productTypeId;

    /**
     * 设备名称
     */
    private String name;

    /**
     * sn码
     */
    private String snCode;

    /**
     * 商品图片
     */
    private String image;

    /**
     * pc添加水印商品图片
     */
    private String pcImage;

    /**
     * 小程序添加水印商品图片
     */
    private String appletsImage;

    /**
     * 授权牌照
     */
    private String certificateImage;

    /**
     * 授权牌照类型：1模板库生成，2自定义上传
     */
    private Integer certificateImageType;

    /**
     * pc添加水印授权牌照
     */
    private String pcCertificateImage;

    /**
     * 小程序添加水印授权牌照
     */
    private String appletsCertificateImage;

    /**
     * 购买渠道
     */
    private String purchaseWay;

    /**
     * 发票图片
     */
    private String invoiceImage;

    /**
     * 上线状态：0已下线，1已上线，2待上线
     */
    private Integer status;

    /**
     * 审核状态：0审核未通过，1审核通过，2待审核
     */
    private Integer auditStatus;

    /**
     * 供应商审核状态：0审核未通过，1审核通过，2待审核
     */
    private Integer shopAuditStatus;

    /**
     * 创建时间
     */
    private Date createTime;

    /**
     * 创建人Id
     */
    private Integer createBy;

    /**
     * 创建来源：1供应商添加，2机构用户添加
     */
    private Integer createSource;

    /**
     * 管理员审核人id，对应cm_brand_auth_user
     */
    private Integer auditBy;

    /**
     * 审核时间
     */
    private Date auditTime;

    /**
     * 是否查看过：1是，0否
     */
    private Integer checkFlag;
}