package com.caimei.model.po;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiImplicitParam;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.web.bind.annotation.ModelAttribute;

import java.util.Date;
import java.util.List;

/**
 * Description
 *
 * @author : Charles
 * @date : 2021/12/10
 */
@Data
public class SysMenu {
    /**
     * Id
     */
    @ApiModelProperty("id")
    private Integer id;
    /**
     * 菜单名称
     */
    private String title;
    /**
     * 菜单名称
     */
    private String name;
    /**
     * 图标
     */
    private String icon;
    /**
     * 子菜单数量
     */
    private Integer childCount;
    /**
     * 父级菜单Id
     */
    private Integer parentId;
    /**
     * 顶层父级菜单Id
     */
    private Integer baseParentId;
    /**
     * 创建时间
     */
    @JsonFormat(pattern="yyyy-MM-dd HH:mm:ss", timezone="GMT+8")
    private Date createTime;
    /**
     * 隐藏状态：0显示，1隐藏
     */
    private Integer hidden;
    /**
     * 菜单类型：1管理员菜单，2供应商菜单
     */
    private Integer menuType;
    /**
     * 供应商基础功能标记：0不是，1是
     */
    private Integer baseFlag;
    /**
     * 功能类型能否更改标记：0不能，1能
     */
    private Integer moveFlag;
    /**
     * 状态：0启用，1停用
     */
    private Integer status;
    /**
     * 排序
     */
    private Integer sort;
    /**
     * 删除标记：0未删，其他删除
     */
    private Integer delFlag;
    /**
     * 按钮权限
     */
    private List<SysPermission> permissions;
    /**
     * 按钮权限JSON数据：[
     *            { "id":         "ID"
     *              "title":      "按钮标题",
     *              "name":       "权限标识",
     *            },
     *            {多条数据结构同上}
     *         ]
     */
    private String permissionJson;

    /**
     * 会员菜单对应的角色id
     */
    private Integer roleId;
    /**
     * 用户是否拥有该菜单权限：0没有，1有
     */
    private Integer checkFlag;

    private static final long serialVersionUID = 1L;

}
