package com.caimei.model.po;

import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;

import java.util.Date;
import java.util.List;

/**
 * Description
 *
 * @author : Charles
 * @date : 2021/12/2
 */
@Data
public class SysUser {
    /**
     * 用户Id
     */
    private Integer id;
    /**
     * 子用户对应的供应商用户id
     */
    private Integer parentId;
    /**
     * 用户身份：1管理员，2供应商，3供应商子用户
     */
    private Integer userIdentity;
    /**
     * 用户名
     */
    private String username;
    /**
     * 登录账号
     */
    private String loginAccount;
    /**
     * 手机号
     */
    private String mobile;
    /**
     * 密码
     */
    private String password;
    /**
     * 联系人
     */
    private String linkMan;
    /**
     * 创建时间
     */
    @JsonFormat(pattern="yyyy-MM-dd HH:mm:ss", timezone="GMT+8")
    private Date createTime;
    /**
     * 创建人用户id
     */
    private Integer createBy;
    /**
     * 状态：0停用，1启用
     */
    private Integer status;
    /**
     * 角色Ids，用","隔开
     */
    private String roleIds;
    /**
     * 角色名称集合
     */
    private List<String> roles;
    /**
     * 角色描述，用" "隔开
     */
    private String roleDesc;
    /**
     * 可访问菜单集合
     */
    private List<SysMenu> menus;
    /**
     * 指令权限集合
     */
    List<String> permissions;

    private static final long serialVersionUID = 1L;
}
