package com.caimei.model.vo;

import com.caimei.model.po.CmBrandAuthPo;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;
import java.util.List;

/**
 * Description
 *
 * @author : Aslee
 * @date : 2021/5/11
 */
@Data
public class AuthFormVo implements Serializable {
    /**
     * 授权机构id
     */
    private Integer authId;

    /**
     * 授权机构
     */
    private String authParty;

    /**
     * 省id
     */
    private Integer provinceId;

    /**
     * 市id
     */
    private Integer cityId;

    /**
     * 区id
     */
    private Integer townId;

    /**
     * 区域
     */
    private String area;

    /**
     * 详细地址
     */
    private String address;

    /**
     * 经纬度
     */
    private String lngAndLat;

    /**
     * 经度
     */
    private BigDecimal lng;

    /**
     * 纬度
     */
    private BigDecimal lat;

    /**
     * 联系方式
     */
    private String mobile;

    /**
     * 对应机构用户手机号
     */
    private String userMobile;

    /**
     * 运营联系人
     */
    private String linkMan;

    /**
     * 运营联系人手机号
     */
    private String linkMobile;

    /**
     * 一级分类为医美=1,生美=2,项目公司=3，个人=4，其他=5
     */
    private Integer firstClubType;

    /**
     * 医美的二级分类为诊所=1、门诊=2、医院=3，其他=4。生美二级分类,美容院=5，养生馆=6，其他=7
     */
    private Integer secondClubType;

    /**
     * 医疗许可证图片
     */
    private String medicalLicenseImage;

    /**
     * 员工人数
     */
    private Integer empNum;

    /**
     * 机构logo
     */
    private String logo;

    /**
     * 轮播图
     */
    private List<String> bannerList;

    /**
     * 是否需要自定义属性：0否，1是
     */
    private Integer customFlag;

    /**
     * 店铺备注
     */
    private String remarks;

    /**
     * 认证编号
     */
    private String authCode;

    /**
     * 认证日期
     */
    private Date authDate;

    /**
     * 授权牌logo(logo与机构名称组合)
     */
    private String authImageLogo;

    /**
     * 授权牌(自定义上传)
     */
    private String authImage;

    /**
     * 授权牌类型：1模板库生成，2自定义上传
     */
    private Integer authImageType;

    /**
     * 审核状态：0审核未通过，1审核通过，2待审核
     */
    private Integer auditStatus;

    /**
     * 供应商审核状态：0审核未通过，1审核通过，2待审核
     */
    private Integer shopAuditStatus;

    /**
     * 审核不通过原因
     */
    private String invalidReason;

    /**
     * 是否已绑定用户账号:0未绑定，1已绑定
     */
    private Integer bindStatus;

    /**
     * 机构授权牌模板
     */
    private TemplateVo authTemplate;

    /**
     * 关联机构ID（多个用,隔开）
     */
    private String relationId;
    /**
     * 关联机构名称（多个用,隔开）
     */
    private String relationName;
    /**
     * 关联机构ID集合（便于前端赋值）
     */
    private List<AuthFormVo> releationClubList;
    /**
     * 明星机构排序值（数值越大，排名越前）
     */
    private String starNum;


}
