package com.caimei.model.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

/**
 * cm_brand_auth
 * @author Aslee
 * @date 2021/5/17
 */
@Data
public class AuthVo {
    /**
     * 授权id
     */
    private Integer authId;

    /**
     * 供应商用户id
     */
    private Integer authUserId;

    /**
     * 授权机构
     */
    private String authParty;

    /**
     * 机构授权牌
     */
    private String authImage;

    /**
     * 机构用户手机号
     */
    private String mobile;

    /**
     * 上线状态：0已下线，1已上线，2待上线
     */
    private Integer status;

    /**
     * 审核状态：0审核未通过，1审核通过，2待审核
     */
    private Integer auditStatus;

    /**
     * 供应商审核状态：0审核未通过，1审核通过，2待审核
     */
    private Integer shopAuditStatus;

    /**
     * 寄送状态：0未寄送，1已寄送
     */
    private Integer sendStatus;

    /**
     * 创建时间
     */
    private Date createTime;

    /**
     * 创建人
     */
    private String createBy;

    /**
     * 下级审核状态，0未完成审核，1已完成审核
     */
    private Integer lowerAuditStatus;

    /**
     * 下级待审核数量
     */
    private Integer waitAuditNum;

    /**
     * 供应商审核下级待审核数量
     */
    private Integer shopWaitAuditNum;

    /**
     * 审核人
     */
    private String auditBy;

    /**
     * 审核时间
     */
    private Date auditTime;

    /**
     * 审核不通过原因
     */
    private String invalidReason;

    /**
     * 供应商审核不通过原因
     */
    private String shopInvalidReason;

    /**
     * 供应商审核人
     */
    private String shopAuditBy;

    /**
     * 供应商审核时间
     */
    private Date shopAuditTime;

    /**
     * 机构下设备数量
     */
    private Integer productNum;

    /**
     * 是否查看过：1是，0否
     */
    private Integer checkFlag;

    /**
     * 明星机构标识：0不是，1是
     */
    private Integer starFlag;

    /**
     * 扫码次数
     */
    private Integer scanCount;

    /**
     *  设备列表最大参数数量
     */
    private Integer maxParamNum;

    /**
     * 商品名称
     */
    private String name;
    /**
     * 商品sn码
     */
    private String snCode;

    /**
     * 关联机构ID（多个用,隔开）
     */
    private String relationId;
    /**
     * 关联机构名称（多个用,隔开）
     */
    private String relationName;
    /**
     * 明星机构排序值（数值越大，排名越前）
     */
    private String starNum;
    /**
     * 认证编号
     */
    private String authCode;

}