package com.caimei.model.vo;

import lombok.Data;

import java.util.Date;
import java.util.List;

/**
 * cm_brand_article
 * @author  Aslee
 */
@Data
public class CertificateLogisticsVo {

    /**
     * 机构名称
     */
    private String authParty;

    /**
     * 快递单当前的状态（0：在途，即货物处于运输过程中；1：揽件，货物已由快递公司揽收并且产生了第一条跟踪信息；2：疑难，货物寄送过程出了问题；3：签收，收件人已签收；4：退签，即货物由于用户拒签、超区等原因退回，而且发件人已经签收；5：派件，即快递正在进行同城派件；6：退回，货物正处于退回发件人的途中；）
     */
    private Integer state;

    /**
     * 快递公司名称
     */
    private String companyName;

    /**
     * 快递公司代码
     */
    private String companyCode;

    /**
     * 快递单号
     */
    private String logisticsNumber;

    /**
     * 物流跟踪信息
     */
    private String info;

    /**
     * 图片备注
     */
    private String remarksImage;

    /**
     * 图片列表
     */
    private List<String> imageList;

    /**
     * 文字备注
     */
    private String remarks;

    /**
     * 最后更新时间
     */
    private Date updateDate;

    /**
     * json转换物流追踪信息
     */
    private List<RouterVo> routerList;
}