package com.caimei.model.vo;

import lombok.Data;

import java.io.Serializable;
import java.util.Date;
import java.util.List;

/**
 * @author zzj
 */
@Data
public class FileTreeVo implements Serializable {
    private Integer authUserId;
    /**
     * 父级文件id
     */
    private Integer parentId;
    /**
     * 自身文件id
     */
    private Integer id;
    /**
     * 文件类型
     */
    private String fileType;
    /**
     * 文件名
     */
    private String fileName;
    /**
     * 阿里云文件名
     */
    private String ossName;
    /**
     * 阿里云链接
     */
    private String ossUrl;
    /**
     * 父级节点
     */
    protected FileTreeVo parentNode;
    /**
     * 子级节点
     */
    protected FileTreeVo childNode;
    /**
     * 子级节点列表
     */
    protected List<FileTreeVo> childList;
    /**
     * 文件保存时间
     */
    private Date saveTime;
    /**
     * 文件大小
     */
    private String fileSize;
    /**
     * 0是文件夹，1不是
     */
    private Integer packageType;
    /**
     * 文件扩展类型
     */
    private String mime;
    /**
     * 文章Id
     */
    private Integer articleId;
    /**
     * 缩略图url
     */
    private String screenshot;
    /**
     * 文章类型1自主2第三方
     */
    private Integer articleType;
}
