package com.caimei.model.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;
import java.util.List;

/**
 * Description
 *
 * @author : Aslee
 * @date : 2021/5/11
 */
@Data
public class ShopFormVo implements Serializable {
    /**
     * 供应商用户id
     */
    private Integer authUserId;

    /**
     * 关联采美供应商id
     */
    private Integer cmShopId;

    /**
     * 供应商名称
     */
    private String shopName;

    /**
     * 登录账号
     */
    private String loginAccount;

    /**
     * 前缀
     */
    private String prefix;

    /**
     * 供应商类型
     */
    private Integer shopType;

    /**
     * 代理商logo
     */
    private String logo;

    /**
     * 微信公众号类型：1订阅号，2服务号
     */
    private Integer wxAccountType;

    /**
     * 公众号二维码图片
     */
    private String qrCodeImage;

    /**
     * 供应商公众号appId
     */
    private String appId;

    /**
     * 供应商公众号appSecret
     */
    private String appSecret;

    /**
     * 手机号
     */
    private String mobile;

    /**
     * 联系人
     */
    private String linkMan;

    /**
     * 供应商状态：0停用 1启用
     */
    private Integer shopStatus;

    /**
     * 供应商信息列表
     */
    private List<ShopInfoVo> shopInfo;

    /**
     * 已存在商品的品牌信息id,以,隔开
     */
    private String existProductInfoIds;

    /**
     * 会员状态：0已过期，1生效中，2待生效，3非会员
     */
    private Integer vipStatus;
}
