package com.caimei.model.vo;

import io.swagger.annotations.Api;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import io.swagger.annotations.ApiOperation;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

/**
 * 登录成功返回用户数据
 *
 * @author : Charles
 * @date : 2021/3/10
 */
@Data
public class UserLoginVo implements Serializable {
    /**
     * 用户Id
     */
    @ApiModelProperty("用户Id")
    private Integer authUserId;
    /**
     * 用户名
     */
    @ApiModelProperty("用户名")
    private String name;
    /**
     * 手机号
     */
    @ApiModelProperty("手机号")
    private String mobile;
    /**
     * 登录账号
     */
    @ApiModelProperty("登录账号")
    private String loginAccount;
    /**
     * 登录账号
     */
    @ApiModelProperty("前缀")
    private String prefix;
    /**
     * 密码
     */
    @ApiModelProperty("密码")
    private String password;
    /**
     * 供应商状态：0已停用 1已启用
     */
    @ApiModelProperty("供应商状态：0已停用 1已启用")
    private Integer shopStatus;
    /**
     * 供应商类型：1品牌方 2代理商
     */
    @ApiModelProperty("供应商类型：1品牌方 2代理商")
    private Integer shopType;
    /**
     * 用户身份: 1管理员 2供应商
     */
    @ApiModelProperty("用户身份: 1管理员 2供应商")
    private Integer userIdentity;
    /**
     * token
     */
    @ApiModelProperty("token")
    private String token;
}
