package com.caimei.model.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.List;

/**
 * Description
 *
 * @author : Aslee
 * @date : 2021/5/11
 */
@Data
public class WxClubDetailsVo implements Serializable {
    @ApiModelProperty("授权机构id")
    private Integer authId;

    @ApiModelProperty("授权机构")
    private String authParty;

    @ApiModelProperty("省市区")
    private String area;

    @ApiModelProperty("详细地址")
    private String address;

    @ApiModelProperty("经纬度")
    private String lngAndLat;

    @ApiModelProperty("联系方式")
    private String mobile;

    @ApiModelProperty("机构logo")
    private String logo;

    @ApiModelProperty("机构授权牌")
    private String authImage;

    @ApiModelProperty("轮播图")
    private List<String> bannerList;

    @ApiModelProperty("已授权设备")
    private List<WxProductListVo> productList;

    @ApiModelProperty("操作医师列表")
    private List<WxDoctorListVo> doctorList;

    @ApiModelProperty("店铺备注")
    private String remarks;

    /**
     * 运营联系人
     * **/
    private String linkMan;
    /**
     * 运营联系人手机号
     * **/
    private String linkMobile;
    /**
     * 医疗许可证图片
     * **/
    private String medicalLicenseImage;
    /**
     * 一级分类为医美=1,生美=2,项目公司=3，个人=4，其他=5
     * **/
    private Integer firstClubType;
    /**
     * 医美的二级分类为诊所=1、门诊=2、医院=3，其他=4。生美二级分类,美容院=5，养生馆=6
     * **/
    private Integer secondClubType;
    /**
     * 员工人数
     * **/
    private Integer empNum;

}
