package com.caimei.service.aopservice;


import com.caimei.mapper.aopMapper.IpSaveRepository;
import com.caimei.model.po.IpSavePo;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.data.mongodb.core.MongoTemplate;
import org.springframework.stereotype.Service;


import java.util.List;

/**
 * @author Administrator
 */
@Service
public class IpSaveService {

    @Autowired
    private IpSaveRepository ipSaveRepository;
    @Autowired
    private MongoTemplate mongoTemplate;


    /**
     * 保存
     * @param IpSavePo
     */
    public void save(IpSavePo IpSavePo){
        //如果需要自定义主键，可以在这里指定主键；如果不指定主键，MongoDB会自动生成主键
        //设置一些默认初始值。。。
        //调用dao
        ipSaveRepository.save(IpSavePo);
    }

    /**
     * 修改
     * @param IpSavePo
     */
    public void update(IpSavePo IpSavePo){
        //调用dao
        ipSaveRepository.save(IpSavePo);
    }

    /**
     * 根据id删除
     * @param id
     */
    public void deleteById(String id){
        //调用dao
        ipSaveRepository.deleteById(id);
    }

    /**
     * 查询所有
     * @return
     */
    public List<IpSavePo> findList(){
        //调用dao
        return ipSaveRepository.findAll();
    }

    /**
     * 根据id查询
     * @param id
     * @return
     */
    public IpSavePo findById(String id){
        //调用dao
        return ipSaveRepository.findById(id).get();
    }

}
