package com.caimei.service.aopservice;

import com.alibaba.fastjson.JSONObject;
import com.caimei.annotation.WebHooks;
import org.aspectj.lang.JoinPoint;
import org.aspectj.lang.annotation.Aspect;
import org.aspectj.lang.annotation.Before;
import org.aspectj.lang.annotation.Pointcut;
import org.springframework.stereotype.Component;

/**
 *
 * 用于监听webhook事件（抖音授权，发布视频，解除授权）
 */
@Aspect
@Component
public class WebHooksService {
    /**
     *  层切点
     */
    @Pointcut("@annotation(webHooks)")
    public void controllerAspect(WebHooks webHooks) {
    }

    @Before("controllerAspect(webHooks)")
    public void After(JoinPoint pjp, WebHooks webHooks)  {
        String body = null;
        Object[] arguments = pjp.getArgs();
        if(arguments.length!=0){
            try {
                body = arguments[0].toString();
                System.out.println(body);
                JSONObject jsonObject=JSONObject.parseObject(body);
                String contnet=jsonObject.getString("content");
                System.out.println(contnet);
                JSONObject contnetlist=JSONObject.parseObject(contnet);
                String challenge=contnetlist.getString("challenge");
                System.out.println(challenge);
                String itemId=contnetlist.getString("item_id");
                System.out.println(itemId);
                String shareId=contnetlist.getString("share_id");
                System.out.println(shareId);
                //获取itemid和shareid进行保存
            }catch (Exception ex){
                ex.printStackTrace();
            }
        }

    }
}
