package com.caimei.service.auth;

import com.caimei.model.ResponseJson;
import com.caimei.model.vo.*;
import com.github.pagehelper.PageInfo;

/**
 * Description
 *
 * @author : Aslee
 * @date : 2022/7/6
 */
public interface AuthTemplateService {

    /**
     * 授权牌模板列表
     * @param listType
     * @param authUserId
     * @param pageNum
     * @param pageSize
     * @return
     */
    ResponseJson<PageInfo<TemplateVo>> getTemplateList(Integer listType, Integer authUserId, Integer pageNum, Integer pageSize);

    /**
     * 保存授权牌模板
     *
     * @param templateId
     * @param templateImage
     * @param authUserId
     * @param status
     * @param qrPosition
     * @param qrSize
     * @param logoSize
     * @param authFlag
     * @param productFlag
     * @return
     */
    ResponseJson saveTemplate(Integer templateId, String templateImage, Integer authUserId, Integer status, String qrPosition, Integer qrSize, String logoSize, Integer authFlag, Integer productFlag);

    /**
     * 模板表单数据
     * @param templateId    模板id
     * @param authId
     * @param authUserId
     * @param authFlag
     * @param status
     * @return
     */
    ResponseJson<TemplateVo> getTemplateFormData(Integer templateId, Integer authId, Integer authUserId, Integer authFlag, Integer status);
}


