package com.caimei.service.auth;

import com.alibaba.fastjson.JSONArray;
import com.caimei.model.po.UploadFilePo;
import org.springframework.web.multipart.MultipartFile;

import java.io.IOException;
import java.util.List;
import java.util.Map;

/**
 * Description
 *
 * @author : Aslee
 * @date : 2021/7/15
 */
public interface UploadService {

    /**
     * 上传文件
     * @param file
     * @return
     */
    String saveFile(MultipartFile file) throws IOException;

    /**
     * 通过url上传文件
     * @return
     */
    String saveFileByUrl(String url,String fileName) throws Exception;

    /**
     * 将多张图片压缩并上传
     * @param imageArr
     * @return
     */
    String saveImageZip(JSONArray imageArr) throws IOException, Exception;

    /**
     * 将多张图片压缩
     * @param fileMap
     * @param type
     * @return
     * @throws Exception
     */
    String createImageZip(Map<String,List<UploadFilePo>> fileMap, Integer type) throws  Exception;
}
