package com.caimei.service.auth;

import com.caimei.model.ResponseJson;
import com.caimei.model.dto.PackageDto;
import com.caimei.model.dto.PasswordDto;
import com.caimei.model.vo.UserLoginVo;
import com.caimei.model.vo.VipConfigurationVo;

import java.util.List;

/**
 * Description
 *
 * @author : Aslee
 * @date : 2021/5/11
 */
public interface UserService {
    /**
     * 登录(用户名/手机号，密码)
     * @param mobileOrName 手机号或用户名
     * @param password 密码
     * @return UserLoginVo
     */
    ResponseJson<UserLoginVo> passwordLogin(String mobileOrName, String password);

    /**
     * 修改密码
     * @param passwordDto {
     *                           authUserId         用户id
     *                           oldPassword        旧密码
     *                           newPassword        新密码
     *                           confirmPwd         确认密码
     * }
     * @return ResponseJson
     */
    ResponseJson updatePassword(PasswordDto passwordDto);
}
