package com.caimei.service.sys;


import com.caimei.model.ResponseJson;
import com.caimei.model.po.SysUser;
import com.github.pagehelper.PageInfo;

/**
 * Description
 *
 * @author : Charles
 * @date : 2021/12/2
 */

public interface SysUserService {
    /**
     * 获取用户信息
     */
    ResponseJson<SysUser> getInfoByUsername(String username);
    /**
     * 获取用户信息
     */
    ResponseJson<SysUser> getInfoByUserId(Integer id);
    /**
     * 退出登录
     */
    ResponseJson<Void> logout(String token);

    /**
     * 获取用户列表
     *
     * @param authUserId
     * @param username 用户名
     * @param linkName 联系人名称
     * @param pageNum  页码
     * @param pageSize 每页大小
     */
    ResponseJson<PageInfo<SysUser>> getUserList(Integer authUserId, String username, String linkName, int pageNum, int pageSize);
    /**
     * 根据ID获取用户
     */
    ResponseJson<SysUser> getUser(Integer id);
    /**
     * 根据ID更新用户
     */
    ResponseJson<Void> updateUser(Integer id, SysUser sysUser);
    /**
     * 添加用户
     */
//    ResponseJson<Void> addUser(SysUser sysUser);
    /**
     * 根据ID删除用户
     */
    ResponseJson<Void> deleteUser(Integer id);
    /**
     * 添加管理员
     */
    ResponseJson<Void> createUser(SysUser sysUser);

    /*    *//**
     * 用户修改资料
     *//*
    ResponseJson<Void> updateUserProfile(UserProfile profile);
    */

    /**
     * 用户修改密码
     *//*
    ResponseJson<Void> updateUserPassword(UserProfile profile);*/

    /**
     * 保存用户角色关系
     */
    ResponseJson<Void> saveRoleRelation(Integer userId, String roleIds);

    /**
     * 更新用户状态
     */
    ResponseJson<Void> updateUserStatus(Integer id, Integer status);
}
