package com.caimei.service.vip;

import com.caimei.model.ResponseJson;
import com.caimei.model.po.SysMenu;
import com.caimei.model.vo.*;
import com.github.pagehelper.PageInfo;

import java.util.Date;
import java.util.List;
import java.util.Map;

/**
 * Description
 *
 * @author : Aslee
 * @date : 2021/5/11
 */
public interface VipService {

    /**
     * 在线支付开通会员
     *
     * @param authUserId
     * @param packageId
     * @param services
     * @return
     */
    ResponseJson<Integer> payVip(Integer authUserId, Integer packageId, String services, Integer payWay, Integer payStatus, Date payTime);

    /**
     * 配置vip套餐/订制服务
     * @param packageList
     * @param serviceList
     * @return
     */
    ResponseJson configureVip(List<Map<String,Object>> packageList, List<Map<String, String>> serviceList);

    /**
     * vip套餐/订制服务回显数据
     * @return
     */
    ResponseJson<VipConfigurationVo> configureVipForm();

    /**
     * 会员列表
     * @return
     */
    ResponseJson<PageInfo<VipListVo>> vipList(String shopName, Integer shopType, Integer vipStatus, String mobile, String linkMan, Integer pageNum, Integer pageSize);

    /**
     * 会员购买记录
     */
    ResponseJson<PageInfo<VipHistoryListVo>> vipHistoryList(Integer authUserId, Integer vipPackageId, Integer vipStatus, String payBeginTime, String payEndTime, String endBeginTime, String endEndTime, Integer pageNum, Integer pageSize);

    /**
     * 查询会员数据
     */
    ResponseJson<VipInfoVo> getVipInfo(Integer authUserId);

    /**
     * 会员套餐列表
     * @return
     */
    ResponseJson<List<VipPackageVo>> vipPackageList();

    /**
     * 会员服务配置表单
     * @return
     */
    ResponseJson<Map<String, Object>> vipMenusForm();

    /**
     * 配置会员服务
     * @param baseMenuList
     * @param upMenuList
     */
    ResponseJson vipMenusConfigure(List<Map<String, Object>> baseMenuList, List<Map<String, Object>> upMenuList);

    /**
     * 单独订制供应商会员服务表单
     */
    ResponseJson<List<SysMenu>> vipServicesForm(Integer authUserId);

    /**
     * 单独订制供应商会员服务
     */
    ResponseJson vipServicesConfigure(Integer authUserId, String roleIds);
}
