package com.caimei.service.wechat;

import com.caimei.model.ResponseJson;
import com.caimei.model.vo.WxClubUserVo;
import com.caimei.utils.HttpRequest;

import javax.servlet.http.HttpServletRequest;

/**
 * Description
 *
 * @author : Aslee
 * @date : 2021/7/15
 */
public interface LoginService {
    /**
     * 微信授权登录
     *
     * @param code
     * @param appId
     * @return
     */
    ResponseJson<WxClubUserVo> loginByAuthorization(String code, String appId);

    /**
     * 发送登录验证码
     *
     * @param mobile
     * @param authUserId
     * @param type
     * @return
     */
    ResponseJson sendVerifyCode(String mobile, Integer authUserId, Integer type);

    /**
     * 服务号验证码登录
     */
    ResponseJson<WxClubUserVo> loginByVerifyCode(String mobile, String verifyCode, String accessToken, String openId, String appId) throws Exception;

    /**
     * 订阅号验证码登录
     *
     * @param mobile     手机号
     * @param verifyCode 验证码
     * @param authUserId 供应商用户id
     * @return
     */
    ResponseJson<WxClubUserVo> loginByVerifyCode(String mobile, String verifyCode, Integer authUserId);

    /**
     * 密码登录
     *
     * @param mobile
     * @param password
     * @param authUserId
     * @return
     */
    ResponseJson<WxClubUserVo> passwordLogin(String mobile, String password, Integer authUserId);

    //根据token获取用户信息
    ResponseJson<WxClubUserVo> getUserInfoByToken(HttpServletRequest httpRequest);
}


