package com.caimei;

import com.alibaba.fastjson.JSONObject;
import com.caimei.mapper.cmMapper.AuthMapper;
import com.caimei.model.po.CmBrandAuthPo;
import com.caimei.model.vo.RossAddressVo;
import com.caimei.utils.ImageUtils;
import com.caimei.utils.OSSUtils;
import org.junit.Test;
import org.springframework.boot.test.context.SpringBootTest;
import org.springframework.core.io.ClassPathResource;

import javax.annotation.Resource;
import javax.imageio.ImageIO;
import java.awt.*;
import java.io.IOException;
import java.io.InputStream;

@SpringBootTest
public class AdminApplicationTests {
    @Resource
    private AuthMapper authMapper;

    @Test
    public void JWTToken(){
        OSSUtils.deleteSingleFile("5dbb6eb668174438ae5f9b5a1d99f7cf.ppt");
    }

    @Test
    public void  drawImage() throws IOException {
        ClassPathResource classPathResource = new ClassPathResource("/images/pcWaterMark.png");
        InputStream inputStreamImg = classPathResource.getInputStream();
        Image pcWaterMarkImg = ImageIO.read(inputStreamImg);
        classPathResource = new ClassPathResource("/images/appletsWaterMark.png");
        inputStreamImg = classPathResource.getInputStream();
        Image appletsWaterMarkImg = ImageIO.read(inputStreamImg);
        String img = ImageUtils.markImageByIcon(pcWaterMarkImg, "https://img-b.caimei365.com/group1/M00/03/3A/Cmgy62CsZKWALkD8AAUjzdv0-wk753.jpg", null);
        String img1 = ImageUtils.markImageByIcon(appletsWaterMarkImg, "https://img-b.caimei365.com/group1/M00/03/3A/Cmgy62CsZKWALkD8AAUjzdv0-wk753.jpg", null);
        System.out.println(img);
        System.out.println(img1);
    }

    @Test
    public void generateStr(){
        JSONObject jsonObject = JSONObject.parseObject("{\"lng\":\"111\"}");
        Integer lng = jsonObject.getInteger("lng");
        System.out.println(lng);
    }

    @Test
    public void insert(){
        String ss=
                "0:\n" +
                        "address:'广东省广州市天河区珠江新城珠江东路6号周大福金融中心瑰丽府邸\"'\n" +
                        "allimg: \"/public/uploads/c6/f4db4f4167696ca54e7e9bd2f39918.jpg\"\n" +
                        "description: \"圣贝拉\"\n" +
                        "img: \"/public/uploads/c6/f4db4f4167696ca54e7e9bd2f39918.jpg\"\n" +
                        "phone: \"4001061080\"\n" +
                        "shop: \"广州分店\"\n" +
                        "title: \"圣贝拉母婴护理中心\"\n" +
                        "\n" +
                        "1:\n" +
                        "address: \"广东省广州市天河区-天河北路388号侨怡苑二层3号铺(天河北公交站)\"\n" +
                        "allimg: \"/public/uploads/7c/e177aeb1b0178eddba92a5d6b85af1.jpg,/public/uploads/b0/05b0841950c69baf9603e9997669d7.jpg\"\n" +
                        "description: \"颐天健\"\n" +
                        "img: \"/public/uploads/3c/dd87c54e8ee48f8572d66af09b18ad.jpg\"\n" +
                        "phone: \"1812742734\"\n" +
                        "shop: \"广州-天河北店\"\n" +
                        "title: \"颐天健中医养生连锁\"\n" +
                        "\n" +
                        "\n" +
                        "2:\n" +
                        "address: \"广东省广州市海珠区滨江东路555号金海湾二楼迪斯尼英语对面\"\n" +
                        "allimg: \"\"\n" +
                        "description: \"颐天健中医养生连锁\"\n" +
                        "img: \"/public/uploads/3c/dd87c54e8ee48f8572d66af09b18ad.jpg\"\n" +
                        "phone: \"4000933023\"\n" +
                        "shop: \"广州-金海湾店\"\n" +
                        "title: \"颐天健中医养生连锁\"\n" +
                        "\n" +
                        "3:\n" +
                        "address: \"广东省广州市越秀区小北路198号越秀宾馆7楼\"\n" +
                        "allimg: \"/public/uploads/6a/be879fb3532b9191b6c26349d3ca61.jpg,/public/uploads/4b/6b6f8b95f7f51d30c8485ecd2cac19.jpg\"\n" +
                        "description: \"颐天健中医养生连锁\"\n" +
                        "img: \"/public/uploads/3c/dd87c54e8ee48f8572d66af09b18ad.jpg\"\n" +
                        "phone: \"020-83108882\"\n" +
                        "shop: \"广州-越秀宾馆店\"\n" +
                        "title: \"颐天健中医养生连锁\"\n" +
                        "\n" +
                        "\n" +
                        "\n" +
                        "4:\n" +
                        "address: \"广东省深圳市罗湖区世界金融中心B座1619(近kkmall,地王大厦)\"\n" +
                        "allimg: \"/public/uploads/9b/47618bc5cbad0b4f110cec9050dd86.jpg\"\n" +
                        "description: \"H&amp;V美颜馆 \"\n" +
                        "img: \"/public/uploads/9b/47618bc5cbad0b4f110cec9050dd86.jpg\"\n" +
                        "phone: \"\"\n" +
                        "shop: \"深圳总店\"\n" +
                        "title: \"莤施美\"\n" +
                        "\n" +
                        "\n" +
                        "5:\n" +
                        "address: \"广东省深圳市福田区福田街道岗厦社区深南大道1003号东方新天地广场C1405\"\n" +
                        "allimg: \"/public/uploads/37/d6475b478a21df900481712afd8d2f.jpg\"\n" +
                        "description: \"深圳姿沁医疗美容诊所\"\n" +
                        "img: \"/public/uploads/37/d6475b478a21df900481712afd8d2f.jpg\"\n" +
                        "phone: \"\"\n" +
                        "shop: \"\"\n" +
                        "title: \"深圳姿沁医疗美容诊所\"\n" +
                        "\n" +
                        "\n" +
                        "\n" +
                        "6:\n" +
                        "address: \"广东省深圳市罗湖区-蔡屋围红宝路金龙大厦2104\"\n" +
                        "allimg: \"/public/uploads/36/23d72792a340f8a63e337c46e7247f.jpg\"\n" +
                        "description: \"安德科美医疗器械有限公司\"\n" +
                        "img: \"/public/uploads/36/23d72792a340f8a63e337c46e7247f.jpg\"\n" +
                        "phone: \"\"\n" +
                        "shop: \"\"\n" +
                        "title: \"安德科美医疗器械有限公司\"\n" +
                        "\n" +
                        "\n" +
                        "7:\n" +
                        "address: \"广东省深圳市南山区中心路3008号深圳湾1号T7座莱佛士酒店4108\"\n" +
                        "allimg: \"/public/uploads/c6/f4db4f4167696ca54e7e9bd2f39918.jpg,/public/uploads/cb/c89856f01eff1e308aea19c8dec808.jpg,/public/uploads/88/d5aa893ecaaeed36162035adb4424a.jpg,/public/uploads/27/4d48989db49db2b2164f7156b63dca.jpg\"\n" +
                        "description: \"圣贝拉母婴护理中心\"\n" +
                        "img: \"/public/uploads/c6/f4db4f4167696ca54e7e9bd2f39918.jpg\"\n" +
                        "phone: \"18875920258\"\n" +
                        "shop: \"深圳分店\"\n" +
                        "title: \"圣贝拉母婴护理中心\"\n" +
                        "\n" +
                        "\n" +
                        "\n" +
                        "8:\n" +
                        "address: \"广东省揭阳市普宁市流沙大道江景新城南门10号\"\n" +
                        "allimg: \"/public/uploads/7f/f984519132d1c6cce168d24bd40810.jpg,/public/uploads/be/314e319c3a5fc890546bdb0369d016.jpg,/public/uploads/a1/4d5a3914c95ee539d129117407909c.jpg\"\n" +
                        "description: \"媄人荟美容SPA\"\n" +
                        "img: \"/public/uploads/18/e12d146f826b2b581138030e6ba1ea.jpg\"\n" +
                        "phone: \"0663-2258266\"\n" +
                        "shop: \"普宁分店\"\n" +
                        "title: \"媄人荟美容养生会所\"\n" +
                        "\n" +
                        "\n" +
                        "\n" +
                        "9:\n" +
                        "address: \"广东省东莞市塘厦镇湖景路3号锦绣花园8-12号商铺\"\n" +
                        "allimg: \"/public/uploads/4b/6b6f8b95f7f51d30c8485ecd2cac19.jpg,/public/uploads/f2/76f216301503002035578ea8f01cdb.jpg\"\n" +
                        "description: \"颐天健中医养生连锁\"\n" +
                        "img: \"/public/uploads/3c/dd87c54e8ee48f8572d66af09b18ad.jpg\"\n" +
                        "phone: \"0769-82553316\"\n" +
                        "shop: \"东莞分店\"\n" +
                        "title: \"颐天健中医养生连锁\"\n" +
                        "\n" +
                        "\n" +
                        "\n" +
                        "\n" +
                        "10:\n" +
                        "address: \"上海市浦东新区牡丹路105号\"\n" +
                        "allimg: \"/public/uploads/19/c7ffd7db40926bcc0845282cbf2cab.jpg\"\n" +
                        "description: \"上海超超名媛会所\"\n" +
                        "img: \"/public/uploads/19/c7ffd7db40926bcc0845282cbf2cab.jpg\"\n" +
                        "phone: \"021-50922330\"\n" +
                        "shop: \"\"\n" +
                        "title: \"超超名媛会所\"\n" +
                        "\n" +
                        "\n" +
                        "\n" +
                        "\n" +
                        "11:\n" +
                        "address: \"上海市虹口区曲阳路630弄3-1临\"\n" +
                        "allimg: \"/public/uploads/4b/79161135caf7332f94dceb445b8faf.jpg\"\n" +
                        "description: \"童颜神话健康肌肤管理中心\"\n" +
                        "img: \"/public/uploads/4b/79161135caf7332f94dceb445b8faf.jpg\"\n" +
                        "phone: \"\"\n" +
                        "shop: \"\"\n" +
                        "title: \"童颜神话健康肌肤管理中心\"\n" +
                        "\n" +
                        "\n" +
                        "12:\n" +
                        "address: \"上海市青浦区赵巷镇业辉路222弄2号\"\n" +
                        "allimg: \"/public/uploads/90/e2b4a7e2b162db2f29630b0c392037.jpg,/public/uploads/77/cacced272300ec1f1c85915de94ef1.jpg\"\n" +
                        "description: \"百蕙健康管理中心\"\n" +
                        "img: \"/public/uploads/80/32515bf39a40e6e9ab89d393f169cc.jpg\"\n" +
                        "phone: \"021-69750896\"\n" +
                        "shop: \"\"\n" +
                        "title: \"百蕙健康管理中心\"\n" +
                        "\n" +
                        "\n" +
                        "13:\n" +
                        "address: \"上海市黄浦区中山东一路32号\"\n" +
                        "allimg: \"/public/uploads/54/3cce4990359070db15c0165b2fcded.jpg,/public/uploads/4a/05d59334c9e04929feaa8754850eaf.jpg\"\n" +
                        "description: \"圣贝拉母婴护理中心\"\n" +
                        "img: \"/public/uploads/c6/f4db4f4167696ca54e7e9bd2f39918.jpg\"\n" +
                        "phone: \"4001061080\"\n" +
                        "shop: \"\"\n" +
                        "title: \"圣贝拉母婴护理中心\"\n" +
                        "\n" +
                        "\n" +
                        "\n" +
                        "14:\n" +
                        "address: \"南京市江东中路329金奥国际中心4楼419\"\n" +
                        "allimg: \"/public/uploads/cc/9c29cb1b56c78ce7fbbfbe1b148874.jpg,/public/uploads/ac/df68a5ea479ce2f7b3c1462f301080.jpg,/public/uploads/f1/358fe665ac96e616b39953ab6b037b.jpg\"\n" +
                        "description: \"切瑞诗抗衰美肤中心\"\n" +
                        "img: \"/public/uploads/d8/6b974d4932c933a60747122a46f143.jpg\"\n" +
                        "phone: \"18652995995\"\n" +
                        "shop: \"\"\n" +
                        "title: \"切瑞诗抗衰美肤中心\"\n" +
                        "\n" +
                        "\n" +
                        "\n" +
                        "15:\n" +
                        "address: \"江苏省徐州市泉山区中山南路80中山饭店\"\n" +
                        "allimg: \"/public/uploads/f8/1c9255c1c4c8917a2ab61c6e19f1bd.jpg\"\n" +
                        "description: \"双福寇波美容养生调理中心\"\n" +
                        "img: \"/public/uploads/f8/1c9255c1c4c8917a2ab61c6e19f1bd.jpg\"\n" +
                        "keywords: \"双福寇波美容养生调理中心\"\n" +
                        "phone: \"0516-83832999\"\n" +
                        "shop: \"\"\n" +
                        "title: \"双福蔻波美容养生调理中心\"\n" +
                        "\n" +
                        "\n" +
                        "16:\n" +
                        "address: \"南京市江宁区天元西路59号2号楼中南创新中心801室\"\n" +
                        "allimg: \"/public/uploads/62/fc583bce51ea068a9e6fe216b34d32.jpg\"\n" +
                        "description: \"华冠集团\"\n" +
                        "img: \"/public/uploads/62/fc583bce51ea068a9e6fe216b34d32.jpg\"\n" +
                        "phone: \"13267334444\"\n" +
                        "shop: \"南京华冠健康\"\n" +
                        "title: \"华冠集团\"\n" +
                        "\n" +
                        "\n" +
                        "17:\n" +
                        "address: \"江苏省常熟市闽江东路76号\"\n" +
                        "allimg: \"/public/uploads/7a/b141f50279beeeb141e562828cb313.png\"\n" +
                        "description: \"瑞莱美肌\"\n" +
                        "img: \"/public/uploads/7a/b141f50279beeeb141e562828cb313.png\"\n" +
                        "phone: \"15606239998\"\n" +
                        "shop: \"\"\n" +
                        "title: \"瑞莱美肌\"\n" +
                        "\n" +
                        "\n" +
                        "\n" +
                        "18:\n" +
                        "address: \"杭州萧山区绿都港汇31楼\"\n" +
                        "allimg: \"/public/uploads/22/a30f62a230f40d678a93f9dfdc0772.jpg\"\n" +
                        "description: \"皓予企业\"\n" +
                        "img: \"/public/uploads/22/a30f62a230f40d678a93f9dfdc0772.jpg\"\n" +
                        "keywords: \"皓予企业\"\n" +
                        "phone: \"15158189258\"\n" +
                        "shop: \"\"\n" +
                        "title: \"皓予企业\"\n" +
                        "\n" +
                        "\n" +
                        "19:\n" +
                        "address: \"江苏省徐州市泉山区建国西路恒盛广场4楼\"\n" +
                        "allimg: \"/public/uploads/f8/1c9255c1c4c8917a2ab61c6e19f1bd.jpg\"\n" +
                        "description: \"蔻波养生会所\"\n" +
                        "img: \"/public/uploads/f8/1c9255c1c4c8917a2ab61c6e19f1bd.jpg\"\n" +
                        "keywords: \"蔻波养生会所\"\n" +
                        "phone: \"18052178858\"\n" +
                        "shop: \"\"\n" +
                        "title: \"蔻波养生会所\"\n" +
                        "\n" +
                        "\n" +
                        "20:\n" +
                        "address: \"江苏省徐州市云龙区彭祖大道绿地公馆4号馆\"\n" +
                        "allimg: \"/public/uploads/b3/cded9624ae5222fc97ed1c7a933369.jpg\"\n" +
                        "description: \"丽瑶医疗整形\"\n" +
                        "img: \"/public/uploads/b3/cded9624ae5222fc97ed1c7a933369.jpg\"\n" +
                        "phone: \"13218805095\"\n" +
                        "shop: \"\"\n" +
                        "title: \"丽瑶医疗整形\"\n" +
                        "\n" +
                        "\n" +
                        "\n" +
                        "21:\n" +
                        "address: \"浙江省金华市浦江县新华东路77号3楼\"\n" +
                        "allimg: \"/public/uploads/d7/49d99b0394fb2352aee773d1fcbafe.jpg\"\n" +
                        "description: \"东方美美容美体\"\n" +
                        "img: \"/public/uploads/d7/49d99b0394fb2352aee773d1fcbafe.jpg\"\n" +
                        "phone: \"15257928372\"\n" +
                        "shop: \"\"\n" +
                        "title: \"东方美美容美体\"\n" +
                        "\n" +
                        "\n" +
                        "\n" +
                        "22:\n" +
                        "address: \"浙江省杭州市江干区钱江路1366号杭州柏悦酒店36层(万象城)\"\n" +
                        "allimg: \"/public/uploads/c6/f4db4f4167696ca54e7e9bd2f39918.jpg\"\n" +
                        "cid: 6\n" +
                        "content: \"&lt;p&gt;&lt;span style=&quot;color: rgb(47, 102, 135); font-family: 宋体, Arial; font-size: 20px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 700; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: rgb(255, 255, 255); text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;&quot;&gt;圣贝拉母婴护理中心&lt;/span&gt; &lt;/p&gt;\"\n" +
                        "create_time: \"2021-06-11 10:21:48\"\n" +
                        "desc: \"ROS'S (BINARY PREMIUM)\"\n" +
                        "    description: \"圣贝拉母婴护理中心\"\n" +
                        "flag: \"\"\n" +
                        "hits: 0\n" +
                        "id: 23\n" +
                        "img: \"/public/uploads/c6/f4db4f4167696ca54e7e9bd2f39918.jpg\"\n" +
                        "keywords: \"圣贝拉母婴护理中心\"\n" +
                        "lang: \"zh-cn\"\n" +
                        "phone: \"4001061080\"\n" +
                        "shop: \"\"\n" +
                        "sort: 0\n" +
                        "status: 1\n" +
                        "tags: \"\"\n" +
                        "title: \"圣贝拉母婴护理中心\"\n" +
                        "uid: 0\n" +
                        "update_time: \"2021-06-11 10:21:48\"\n" +
                        "\n" +
                        "\n" +
                        "\n" +
                        "\n" +
                        "\n" +
                        "23:\n" +
                        "address: \"北京市朝阳区呼家楼朝阳门外大街京广大厦瑰丽酒店9F\"\n" +
                        "allimg: \"/public/uploads/c6/f4db4f4167696ca54e7e9bd2f39918.jpg\"\n" +
                        "cid: 6\n" +
                        "content: \"&lt;p&gt;圣贝拉母婴护理中心&lt;/p&gt;\"\n" +
                        "create_time: \"2021-06-11 10:23:18\"\n" +
                        "desc: \"ROS'S (BINARY PREMIUM)\"\n" +
                        "    description: \"圣贝拉母婴护理中心\"\n" +
                        "flag: \"\"\n" +
                        "hits: 0\n" +
                        "id: 24\n" +
                        "img: \"/public/uploads/c6/f4db4f4167696ca54e7e9bd2f39918.jpg\"\n" +
                        "keywords: \"圣贝拉母婴护理中心\"\n" +
                        "lang: \"zh-cn\"\n" +
                        "phone: \"4000303096转94629\"\n" +
                        "shop: \"瑰丽酒店\"\n" +
                        "sort: 0\n" +
                        "status: 1\n" +
                        "tags: \"\"\n" +
                        "title: \"圣贝拉母婴护理中心\"\n" +
                        "uid: 0\n" +
                        "update_time: \"2021-06-11 10:23:18\"\n" +
                        "\n" +
                        "\n" +
                        "\n" +
                        "\n" +
                        "\n" +
                        "24:\n" +
                        "address: \"北京市东城区王府井金鱼胡同8号王府半岛酒店8F(毗邻协和国际)\"\n" +
                        "allimg: \"/public/uploads/c6/f4db4f4167696ca54e7e9bd2f39918.jpg\"\n" +
                        "cid: 6\n" +
                        "content: \"&lt;p&gt;圣贝拉母婴护理中心&lt;/p&gt;\"\n" +
                        "create_time: \"2021-06-11 10:24:57\"\n" +
                        "desc: \"ROS'S (BINARY PREMIUM)\"\n" +
                        "    description: \"圣贝拉母婴护理中心\"\n" +
                        "flag: \"\"\n" +
                        "hits: 0\n" +
                        "id: 25\n" +
                        "img: \"/public/uploads/c6/f4db4f4167696ca54e7e9bd2f39918.jpg\"\n" +
                        "keywords: \"圣贝拉母婴护理中心\"\n" +
                        "lang: \"zh-cn\"\n" +
                        "phone: \"4001061080\"\n" +
                        "shop: \"王府半岛酒店\"\n" +
                        "sort: 0\n" +
                        "status: 1\n" +
                        "tags: \"\"\n" +
                        "title: \"圣贝拉母婴护理中心\"\n" +
                        "uid: 0\n" +
                        "update_time: \"2021-06-11 10:24:57\"\n" +
                        "\n" +
                        "\n" +
                        "\n" +
                        "\n" +
                        "25:\n" +
                        "address: \"北京市海淀区花园东路11号泰兴大厦7层\"\n" +
                        "allimg: \"/public/uploads/e6/2caa8b8411ff8e0b1ac823cd09bb6a.jpg\"\n" +
                        "cid: 6\n" +
                        "content: \"&lt;p&gt;&lt;span style=&quot;color: rgb(47, 102, 135); font-family: 宋体, Arial; font-size: 20px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 700; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: rgb(255, 255, 255); text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;&quot;&gt;暖莲美颜美疗汇&lt;/span&gt;&lt;/p&gt;\"\n" +
                        "create_time: \"2021-06-11 10:30:56\"\n" +
                        "desc: \"ROS'S (BINARY PREMIUM)\"\n" +
                        "    description: \"暖莲美颜美疗汇\"\n" +
                        "flag: \"\"\n" +
                        "hits: 0\n" +
                        "id: 26\n" +
                        "img: \"/public/uploads/98/306cc714772824df0a3e701ce367a8.jpg\"\n" +
                        "keywords: \"暖莲美颜美疗汇\"\n" +
                        "lang: \"zh-cn\"\n" +
                        "phone: \"010-57625288\"\n" +
                        "shop: \"\"\n" +
                        "sort: 0\n" +
                        "status: 1\n" +
                        "tags: \"\"\n" +
                        "title: \"暖莲美颜美疗汇\"\n" +
                        "uid: 0\n" +
                        "update_time: \"2021-06-11 10:30:56\"\n" +
                        "\n" +
                        "\n" +
                        "\n" +
                        "\n" +
                        "26:\n" +
                        "address: \"北京\"\n" +
                        "allimg: \"/public/uploads/e5/d167a3a03331d8a1cb02b7c25b681a.jpg\"\n" +
                        "cid: 6\n" +
                        "content: \"&lt;p&gt;暖莲生命养护中心&lt;/p&gt;\"\n" +
                        "create_time: \"2021-06-11 10:31:51\"\n" +
                        "desc: \"ROS'S (BINARY PREMIUM)\"\n" +
                        "    description: \"暖莲生命养护中心\"\n" +
                        "flag: \"\"\n" +
                        "hits: 0\n" +
                        "id: 27\n" +
                        "img: \"/public/uploads/98/306cc714772824df0a3e701ce367a8.jpg\"\n" +
                        "keywords: \"暖莲生命养护中心\"\n" +
                        "lang: \"zh-cn\"\n" +
                        "phone: \"\"\n" +
                        "shop: \"\"\n" +
                        "sort: 0\n" +
                        "status: 1\n" +
                        "tags: \"\"\n" +
                        "title: \"暖莲生命养护中心\"\n" +
                        "uid: 0\n" +
                        "update_time: \"2021-06-11 10:31:51\"\n" +
                        "\n" +
                        "\n" +
                        "\n" +
                        "\n" +
                        "\n" +
                        "\n" +
                        "\n" +
                        "\n" +
                        "27:\n" +
                        "address: \"枣庄市市中区华山北路76号(居然之家北)\"\n" +
                        "allimg: \"/public/uploads/a8/3218bf2c7b0394b283a0064821ad7b.jpg\"\n" +
                        "cid: 6\n" +
                        "content: \"&lt;p&gt;&lt;span style=&quot;color: rgb(47, 102, 135); font-family: 宋体, Arial; font-size: 20px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 700; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: rgb(255, 255, 255); text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;&quot;&gt;乔美奇健康调理中心&lt;/span&gt;&lt;/p&gt;\"\n" +
                        "create_time: \"2021-06-11 10:33:17\"\n" +
                        "desc: \"ROS'S (BINARY PREMIUM)\"\n" +
                        "    description: \"乔美奇健康调理中心\"\n" +
                        "flag: \"\"\n" +
                        "hits: 0\n" +
                        "id: 28\n" +
                        "img: \"/public/uploads/a8/3218bf2c7b0394b283a0064821ad7b.jpg\"\n" +
                        "keywords: \"乔美奇健康调理中心\"\n" +
                        "lang: \"zh-cn\"\n" +
                        "phone: \"0632-3828886\"\n" +
                        "shop: \"\"\n" +
                        "sort: 0\n" +
                        "status: 1\n" +
                        "tags: \"\"\n" +
                        "title: \"乔美奇健康调理中心\"\n" +
                        "uid: 0\n" +
                        "update_time: \"2021-06-11 10:33:17\"\n" +
                        "\n" +
                        "\n" +
                        "\n" +
                        "\n" +
                        "\n" +
                        "\n" +
                        "\n" +
                        "\n" +
                        "\n" +
                        "\n" +
                        "28:\n" +
                        "address: \"四川省成都市武侯区-天府大道北段华尔道夫酒店42F\"\n" +
                        "allimg: \"/public/uploads/c6/f4db4f4167696ca54e7e9bd2f39918.jpg\"\n" +
                        "cid: 6\n" +
                        "content: \"&lt;p&gt;&lt;span style=&quot;color: rgb(47, 102, 135); font-family: 宋体, Arial; font-size: 20px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 700; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: rgb(255, 255, 255); text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;&quot;&gt;圣贝拉母婴护理中心&lt;/span&gt;&lt;/p&gt;\"\n" +
                        "create_time: \"2021-06-11 10:34:43\"\n" +
                        "desc: \"ROS'S (BINARY PREMIUM)\"\n" +
                        "    description: \"圣贝拉母婴护理中心\"\n" +
                        "flag: \"\"\n" +
                        "hits: 0\n" +
                        "id: 29\n" +
                        "img: \"/public/uploads/c6/f4db4f4167696ca54e7e9bd2f39918.jpg\"\n" +
                        "keywords: \"圣贝拉母婴护理中心\"\n" +
                        "lang: \"zh-cn\"\n" +
                        "phone: \"028-68706777\"\n" +
                        "shop: \"成都分店\"\n" +
                        "sort: 0\n" +
                        "status: 1\n" +
                        "tags: \"\"\n" +
                        "title: \"圣贝拉母婴护理中心\"\n" +
                        "uid: 0\n" +
                        "update_time: \"2021-06-11 10:34:43\"\n" +
                        "\n" +
                        "\n" +
                        "\n" +
                        "\n" +
                        "\n" +
                        "\n" +
                        "29:\n" +
                        "address: \"陕西省西安市雁塔区雁南一路9号曼蒂广场1层F019-F021号\"\n" +
                        "allimg: \"/public/uploads/2e/1078d5a6a10701e2319e60b2265411.jpg\"\n" +
                        "cid: 6\n" +
                        "content: \"&lt;p&gt;漾慕国际&lt;/p&gt;\"\n" +
                        "create_time: \"2021-06-11 10:37:52\"\n" +
                        "desc: \"ROS'S (BINARY PREMIUM)\"\n" +
                        "    description: \"漾慕国际\"\n" +
                        "flag: \"1\"\n" +
                        "hits: 0\n" +
                        "id: 30\n" +
                        "img: \"/public/uploads/2e/1078d5a6a10701e2319e60b2265411.jpg\"\n" +
                        "keywords: \"漾慕国际\"\n" +
                        "lang: \"zh-cn\"\n" +
                        "phone: \"89839870\"\n" +
                        "shop: \"\"\n" +
                        "sort: 0\n" +
                        "status: 1\n" +
                        "tags: \"\"\n" +
                        "title: \"漾慕医疗美容抗衰中心\"\n" +
                        "uid: 0\n" +
                        "update_time: \"2021-06-11 10:37:52\"\n" +
                        "\n" +
                        "\n" +
                        "\n" +
                        "\n" +
                        "\n" +
                        "\n" +
                        "\n" +
                        "\n" +
                        "30:\n" +
                        "address: \"四川省成都市武侯区科华北路62号力宝大厦2楼8号\"\n" +
                        "allimg: \"/public/uploads/9e/021f74e953ba964a09c6bcc457e52b.jpg\"\n" +
                        "cid: 6\n" +
                        "content: \"&lt;p&gt;汉裳汉方美肌SPA&lt;/p&gt;\"\n" +
                        "create_time: \"2021-06-11 10:38:49\"\n" +
                        "desc: \"ROS'S (BINARY PREMIUM)\"\n" +
                        "    description: \"汉棠汉方の美肌SPA·体验空间\"\n" +
                        "flag: \"\"\n" +
                        "hits: 0\n" +
                        "id: 31\n" +
                        "img: \"/public/uploads/9e/021f74e953ba964a09c6bcc457e52b.jpg\"\n" +
                        "keywords: \"汉棠汉方の美肌SPA·体验空间\"\n" +
                        "lang: \"zh-cn\"\n" +
                        "phone: \"028-85571477\"\n" +
                        "shop: \"川大店\"\n" +
                        "sort: 0\n" +
                        "status: 1\n" +
                        "tags: \"\"\n" +
                        "title: \"汉棠汉方医学诊所\"\n" +
                        "uid: 0\n" +
                        "update_time: \"2021-06-11 10:38:49\"\n" +
                        "\n" +
                        "\n" +
                        "\n" +
                        "31:\n" +
                        "address: \"四川省成都市武侯区大悦路518号大悦城3F-J06号\"\n" +
                        "allimg: \"/public/uploads/9e/021f74e953ba964a09c6bcc457e52b.jpg\"\n" +
                        "cid: 6\n" +
                        "content: \"&lt;p&gt;&lt;span style=&quot;color: rgb(47, 102, 135); font-family: 宋体, Arial; font-size: 20px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 700; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: rgb(255, 255, 255); text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;&quot;&gt;汉棠汉方の美肌SPA&amp;middot;体验空间&lt;/span&gt;&lt;/p&gt;\"\n" +
                        "create_time: \"2021-06-11 10:43:35\"\n" +
                        "desc: \"ROS'S (BINARY PREMIUM)\"\n" +
                        "    description: \"汉棠汉方の美肌SPA·体验空间\"\n" +
                        "flag: \"\"\n" +
                        "hits: 0\n" +
                        "id: 32\n" +
                        "img: \"/public/uploads/9e/021f74e953ba964a09c6bcc457e52b.jpg\"\n" +
                        "keywords: \"汉棠汉方の美肌SPA·体验空间\"\n" +
                        "lang: \"zh-cn\"\n" +
                        "phone: \"028-85551517\"\n" +
                        "shop: \"大悦城店\"\n" +
                        "sort: 0\n" +
                        "status: 1\n" +
                        "tags: \"\"\n" +
                        "title: \"汉棠汉方医学诊所\"\n" +
                        "uid: 0\n" +
                        "update_time: \"2021-06-11 10:43:35\"\n" +
                        "\n" +
                        "\n" +
                        "\n" +
                        "\n" +
                        "\n" +
                        "\n" +
                        "32:\n" +
                        "address: \"四川省成都市锦江区汇源北路391号附5号2楼\"\n" +
                        "allimg: \"/public/uploads/9e/021f74e953ba964a09c6bcc457e52b.jpg,/public/uploads/b7/f137a2b13a0945b907b3914b291373.jpg\"\n" +
                        "cid: 6\n" +
                        "content: \"&lt;p&gt;&lt;span style=&quot;color: rgb(47, 102, 135); font-family: 宋体, Arial; font-size: 20px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 700; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: rgb(255, 255, 255); text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;&quot;&gt;汉棠汉方の美肌SPA&amp;middot;体验空间&lt;/span&gt;&lt;/p&gt;\"\n" +
                        "create_time: \"2021-06-11 10:45:40\"\n" +
                        "desc: \"ROS'S (BINARY PREMIUM)\"\n" +
                        "    description: \"汉棠汉方の美肌SPA·体验空间\"\n" +
                        "flag: \"\"\n" +
                        "hits: 0\n" +
                        "id: 33\n" +
                        "img: \"/public/uploads/9e/021f74e953ba964a09c6bcc457e52b.jpg\"\n" +
                        "keywords: \"汉棠汉方の美肌SPA·体验空间\"\n" +
                        "lang: \"zh-cn\"\n" +
                        "phone: \"028-86663069\"\n" +
                        "shop: \"攀成钢店\"\n" +
                        "sort: 6\n" +
                        "status: 1\n" +
                        "tags: \"\"\n" +
                        "title: \"汉棠汉方医学诊所\"\n" +
                        "uid: 0\n" +
                        "update_time: \"2021-06-11 10:45:40\"\n" +
                        "\n" +
                        "\n" +
                        "\n" +
                        "\n" +
                        "\n" +
                        "\n" +
                        "33:\n" +
                        "address: \"四川省成都市高新区剑南大道中段998号世豪广场五层A7a\"\n" +
                        "allimg: \"/public/uploads/b7/f137a2b13a0945b907b3914b291373.jpg\"\n" +
                        "cid: 6\n" +
                        "content: \"&lt;p&gt;汉堂汉方医学诊所&lt;/p&gt;\"\n" +
                        "create_time: \"2021-06-11 10:47:37\"\n" +
                        "desc: \"ROS'S (BINARY PREMIUM)\"\n" +
                        "    description: \"汉堂汉方医学诊所\"\n" +
                        "flag: \"\"\n" +
                        "hits: 0\n" +
                        "id: 34\n" +
                        "img: \"/public/uploads/9e/021f74e953ba964a09c6bcc457e52b.jpg\"\n" +
                        "keywords: \"汉堂汉方医学诊所\"\n" +
                        "lang: \"zh-cn\"\n" +
                        "phone: \"028-87359706\"\n" +
                        "shop: \"天府二街店\"\n" +
                        "sort: 0\n" +
                        "status: 1\n" +
                        "tags: \"\"\n" +
                        "title: \"汉棠汉方医学诊所\"\n" +
                        "uid: 0\n" +
                        "update_time: \"2021-06-11 10:47:37\"\n" +
                        "\n" +
                        "\n" +
                        "\n" +
                        "\n" +
                        "\n" +
                        "34:\n" +
                        "address: \"江苏省苏州市工业园区苏雅路苏悦广场北楼二层  极值美学\"\n" +
                        "allimg: \"/public/uploads/c7/20ae8f526f18c8e505765db3d90716.jpg\"\n" +
                        "cid: 6\n" +
                        "content: \"&lt;p&gt;极值美学&lt;/p&gt;\"\n" +
                        "create_time: \"2021-06-15 16:52:57\"\n" +
                        "desc: \"ROS'S (BINARY PREMIUM)\"\n" +
                        "    description: \"极值美学\"\n" +
                        "flag: \"2\"\n" +
                        "hits: 0\n" +
                        "id: 35\n" +
                        "img: \"/public/uploads/3e/f02c05a16fc3a8ff6547023e600202.jpg\"\n" +
                        "keywords: \"极值美学\"\n" +
                        "lang: \"zh-cn\"\n" +
                        "phone: \"0512-66060015\"\n" +
                        "shop: \"苏州园区店\"\n" +
                        "sort: 0\n" +
                        "status: 1\n" +
                        "tags: \"\"\n" +
                        "title: \"极值美学\"\n" +
                        "uid: 0\n" +
                        "update_time: \"2021-06-15 16:52:57\"\n" +
                        "\n" +
                        "\n" +
                        "\n" +
                        "\n" +
                        "\n" +
                        "\n" +
                        "35:\n" +
                        "address: \"广州周大福金融中心5009\"\n" +
                        "allimg: \"/public/uploads/cf/26f4e309b1eacd19305cb9ab30b913.png,/public/uploads/c1/b9dce2b956e32913bf377e6a1b6f24.jpg,/public/uploads/9e/e6e6213372da71814bbdf9acbb0ec0.jpg,/public/uploads/f5/8212d3bfb8a0b38e241f08b6077e8d.jpg\"\n" +
                        "cid: 6\n" +
                        "content: \"&lt;p&gt;&lt;span style='color: rgb(33, 37, 41); font-family: -apple-system, BlinkMacSystemFont, &quot;Segoe UI&quot;, Roboto, &quot;Helvetica Neue&quot;, Arial, &quot;Noto Sans&quot;, sans-serif, &quot;Apple Color Emoji&quot;, &quot;Segoe UI Emoji&quot;, &quot;Segoe UI Symbol&quot;, &quot;Noto Color Emoji&quot;; font-size: 14px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; orphans: 2; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: rgb(255, 255, 255); text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;'&gt;ROS&amp;#39;S (BINARY PREMIUM)&lt;/span&gt;&lt;/p&gt;\"\n" +
                        "create_time: \"2021-07-29 18:23:33\"\n" +
                        "desc: \"ROS'S (BINARY PREMIUM)\"\n" +
                        "    description: \"ROS&#39;S (BINARY PREMIUM) \"\n" +
                        "flag: \"\"\n" +
                        "hits: 0\n" +
                        "id: 36\n" +
                        "img: \"/public/uploads/cf/26f4e309b1eacd19305cb9ab30b913.png\"\n" +
                        "keywords: \"\"\n" +
                        "lang: \"zh-cn\"\n" +
                        "phone: \"(020) 6186 3358\"\n" +
                        "shop: \"\"\n" +
                        "sort: 0\n" +
                        "status: 1\n" +
                        "tags: \"\"\n" +
                        "title: \"广州维密体塑生物科技有限公司\"\n" +
                        "uid: 0\n" +
                        "update_time: \"2021-07-29 18:23:33\"\n" +
                        "\n" +
                        "\n" +
                        "\n" +
                        "\n" +
                        "36:\n" +
                        "address: \"汕头市龙湖区华山南路群光广场南塔13楼1318号\"\n" +
                        "allimg: \"/public/uploads/24/0a6f6179975ae56107d7b76591ccd8.jpg,/public/uploads/07/ad243d589dcd95339189f8a04e2b53.jpg,/public/uploads/3c/b027ff5f422ec839a86eab25d0549a.jpg,/public/uploads/65/eb23b073d4538a419b279116bedd50.jpg\"\n" +
                        "cid: 6\n" +
                        "content: \"&lt;p&gt;ROSS授权机构&lt;/p&gt;\"\n" +
                        "create_time: \"2021-08-17 10:55:44\"\n" +
                        "desc: \"ROS'S (BINARY PREMIUM)\"\n" +
                        "    description: \"ROSS授权机构\"\n" +
                        "flag: \"\"\n" +
                        "hits: 0\n" +
                        "id: 37\n" +
                        "img: \"/public/uploads/dc/203d71f14c1c186cbbdcfbe6b6a9a2.jpg\"\n" +
                        "keywords: \"ROSS授权机构\"\n" +
                        "lang: \"zh-cn\"\n" +
                        "phone: \"19867866198\"\n" +
                        "shop: \"\"\n" +
                        "sort: 0\n" +
                        "status: 1\n" +
                        "tags: \"\"\n" +
                        "title: \"石榴皮肤管理中心\"\n" +
                        "uid: 0\n" +
                        "update_time: \"2021-08-17 10:55:44\"\n" +
                        "\n" +
                        "\n" +
                        "\n" +
                        "37:\n" +
                        "address: \"上海市浦东新区春泉路58弄50号\"\n" +
                        "allimg: \"/public/uploads/a6/2cfb86b42d9da2af5cc700ca79d270.jpg,/public/uploads/58/b69c8a70d51d506ddfb8752f3c7a49.jpg\"\n" +
                        "cid: 6\n" +
                        "content: \"&lt;p&gt;ROSS授权使用机构&lt;/p&gt;\"\n" +
                        "create_time: \"2021-08-17 11:09:22\"\n" +
                        "desc: \"ROS'S (BINARY PREMIUM)\"\n" +
                        "    description: \"ROSS授权使用机构\"\n" +
                        "flag: \"\"\n" +
                        "hits: 0\n" +
                        "id: 38\n" +
                        "img: \"/public/uploads/21/2fa71b476f1228172cb24ff5eebc25.jpg\"\n" +
                        "keywords: \"ROSS授权使用机构\"\n" +
                        "lang: \"zh-cn\"\n" +
                        "phone: \"021-38686002\"\n" +
                        "shop: \"唐镇店\"\n" +
                        "sort: 0\n" +
                        "status: 1\n" +
                        "tags: \"\"\n" +
                        "title: \"戴西养生堂SPA\"\n" +
                        "uid: 0\n" +
                        "update_time: \"2021-08-17 11:09:22\"\n" +
                        "\n" +
                        "38:\n" +
                        "address: \"广东省河源兴源东路怡兴阁b棟\"\n" +
                        "allimg: \"/public/uploads/1a/a7a967f4fc0c81342d6399b5797e96.jpg\"\n" +
                        "cid: 6\n" +
                        "content: \"&lt;p&gt;修身堂&lt;/p&gt;\"\n" +
                        "create_time: \"2021-08-17 11:16:16\"\n" +
                        "desc: \"ROS'S (BINARY PREMIUM)\"\n" +
                        "    description: \"修身堂\"\n" +
                        "flag: \"\"\n" +
                        "hits: 0\n" +
                        "id: 39\n" +
                        "img: \"/public/uploads/1a/a7a967f4fc0c81342d6399b5797e96.jpg\"\n" +
                        "keywords: \"\"\n" +
                        "lang: \"zh-cn\"\n" +
                        "phone: \"（0762）3664889\"\n" +
                        "shop: \"\"\n" +
                        "sort: 0\n" +
                        "status: 1\n" +
                        "tags: \"\"\n" +
                        "title: \"修身堂\"\n" +
                        "uid: 0\n" +
                        "update_time: \"2021-08-17 11:16:16\"\n" +
                        "\n" +
                        "39:\n" +
                        "address: \"武汉市武昌区水果湖街办事处东湖路169号知音传媒公司院内2号楼\"\n" +
                        "allimg: \"\"\n" +
                        "cid: 6\n" +
                        "content: \"&lt;h3 data-spm-anchor-id=&quot;0.0.0.i16.42e51c4eqlPNPo&quot; style='font-weight: 400; margin: 0px; font-family: &quot;Microsoft Yahei&quot;; padding: 6px 0px; text-indent: 10px; color: rgb(51, 51, 51); font-size: 15px; max-width: 292px; height: 20px; overflow: hidden; white-space: nowrap; text-overflow: ellipsis; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-transform: none; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: rgb(245, 245, 245); text-decoration-style: initial; text-decoration-color: initial;'&gt;弗蕾亚母婴中心&lt;/h3&gt;\"\n" +
                        "create_time: \"2021-08-17 11:19:22\"\n" +
                        "desc: \"ROS'S (BINARY PREMIUM)\"\n" +
                        "    description: \"弗蕾亚母婴中心\"\n" +
                        "flag: \"\"\n" +
                        "hits: 0\n" +
                        "id: 40\n" +
                        "img: \"/public/uploads/b9/c02bc6f6c049169842ea8ad78044f0.jpg\"\n" +
                        "keywords: \"弗蕾亚母婴中心\"\n" +
                        "lang: \"zh-cn\"\n" +
                        "phone: \"18140552869\"\n" +
                        "shop: \"\"\n" +
                        "sort: 0\n" +
                        "status: 1\n" +
                        "tags: \"\"\n" +
                        "title: \"弗蕾亚母婴中心\"\n" +
                        "uid: 0\n" +
                        "update_time: \"2021-08-17 11:19:22\"\n" +
                        "\n" +
                        "40:\n" +
                        "address: \"海宁市开元名都大酒店50层5015\"\n" +
                        "allimg: \"/public/uploads/ac/f4a4a08f89828cd21a54f672a943b7.jpg\"\n" +
                        "cid: 6\n" +
                        "content: \"&lt;p&gt;谧静&lt;/p&gt;\"\n" +
                        "create_time: \"2021-08-17 11:21:19\"\n" +
                        "desc: \"ROS'S (BINARY PREMIUM)\"\n" +
                        "    description: \"谧静\"\n" +
                        "flag: \"\"\n" +
                        "hits: 0\n" +
                        "id: 41\n" +
                        "img: \"/public/uploads/ac/f4a4a08f89828cd21a54f672a943b7.jpg\"\n" +
                        "keywords: \"\"\n" +
                        "lang: \"zh-cn\"\n" +
                        "phone: \"\"\n" +
                        "shop: \"\"\n" +
                        "sort: 0\n" +
                        "status: 1\n" +
                        "tags: \"\"\n" +
                        "title: \"谧静\"\n" +
                        "uid: 0\n" +
                        "update_time: \"2021-08-17 11:21:19\"\n" +
                        "\n" +
                        "41:\n" +
                        "address: \"北京市朝阳区广渠路33号院1号楼A单元901号  \"\n" +
                        "allimg: \"/public/uploads/e5/110f092ea4aab2969a7dc4978d1422.jpg\"\n" +
                        "cid: 6\n" +
                        "content: \"&lt;p&gt;&lt;span style='color: rgb(0, 0, 0); font-family: &quot;SF Pro Text&quot;, &quot;Helvetica Neue&quot;, Helvetica, Tahoma, Arial, &quot;Microsoft Yahei&quot;, 微软雅黑, &quot;PingFang SC&quot;, 苹方, sans-serif; font-size: 20px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 700; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: rgb(255, 255, 255); text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;'&gt;北京兰采佩生物科技有限责任公司&lt;/span&gt; &lt;/p&gt;\"\n" +
                        "create_time: \"2021-08-17 11:49:03\"\n" +
                        "desc: \"ROS'S (BINARY PREMIUM)\"\n" +
                        "    description: \"北京兰采佩生物科技有限责任公司\"\n" +
                        "flag: \"\"\n" +
                        "hits: 0\n" +
                        "id: 42\n" +
                        "img: \"/public/uploads/e5/110f092ea4aab2969a7dc4978d1422.jpg\"\n" +
                        "keywords: \"北京兰采佩生物科技有限责任公司\"\n" +
                        "lang: \"zh-cn\"\n" +
                        "phone: \"\"\n" +
                        "shop: \"\"\n" +
                        "sort: 0\n" +
                        "status: 1\n" +
                        "tags: \"\"\n" +
                        "title: \"北京兰采佩生物科技有限责任公司\"\n" +
                        "uid: 0\n" +
                        "update_time: \"2021-08-17 11:49:03\"\n" +
                        "\n" +
                        "42:\n" +
                        "address: \"广东省佛山市顺德区大良街保利国际金融中心1号楼3404\"\n" +
                        "allimg: \"/public/uploads/c0/bc97c73c2fa4dc489eb522cc25f13d.png\"\n" +
                        "cid: 6\n" +
                        "content: \"&lt;p&gt;莤施美&lt;/p&gt;\"\n" +
                        "create_time: \"2021-08-17 11:51:47\"\n" +
                        "desc: \"ROS'S (BINARY PREMIUM)\"\n" +
                        "    description: \"莤施美\"\n" +
                        "flag: \"\"\n" +
                        "hits: 0\n" +
                        "id: 43\n" +
                        "img: \"/public/uploads/c0/bc97c73c2fa4dc489eb522cc25f13d.png\"\n" +
                        "keywords: \"\"\n" +
                        "lang: \"zh-cn\"\n" +
                        "phone: \"15818000777\"\n" +
                        "shop: \"\"\n" +
                        "sort: 0\n" +
                        "status: 1\n" +
                        "tags: \"\"\n" +
                        "title: \"广东丽泽美科医疗器械有限公司\"\n" +
                        "uid: 0\n" +
                        "update_time: \"2021-08-17 11:51:47\"\n" +
                        "\n" +
                        "43:\n" +
                        "address: \"江苏省苏州市工业园区星海街210号星海人家1-107\"\n" +
                        "allimg: \"/public/uploads/c7/3dfbe83cefb513fd0b666652f35917.jpg,/public/uploads/20/88a220964305b2d2244e7783e30bed.jpg,/public/uploads/d9/ce28eeab5fb6f74ceb43a9d8ae3c89.jpg\"\n" +
                        "cid: 6\n" +
                        "content: \"&lt;p&gt;尚淑坊&lt;/p&gt;\"\n" +
                        "create_time: \"2021-08-17 15:54:17\"\n" +
                        "desc: \"ROS'S (BINARY PREMIUM)\"\n" +
                        "    description: \"尚淑坊\"\n" +
                        "flag: \"\"\n" +
                        "hits: 0\n" +
                        "id: 44\n" +
                        "img: \"/public/uploads/ba/460604824766a6f5692ff697afd447.jpg\"\n" +
                        "keywords: \"尚淑坊\"\n" +
                        "lang: \"zh-cn\"\n" +
                        "phone: \"18112596662\"\n" +
                        "shop: \"\"\n" +
                        "sort: 0\n" +
                        "status: 1\n" +
                        "tags: \"\"\n" +
                        "title: \"尚淑坊\"\n" +
                        "uid: 0\n" +
                        "update_time: \"2021-08-17 15:54:17\"\n" +
                        "\n" +
                        "44:\n" +
                        "address: \"湖北省武汉市江汉区新华路马场路589号大武汉1911写字楼A栋15楼13-14号\"\n" +
                        "allimg: \"/public/uploads/36/0018afaa180888e5aaa18020a6e9e3.jpg\"\n" +
                        "cid: 6\n" +
                        "content: \"&lt;p&gt;18986035837&lt;/p&gt;\"\n" +
                        "create_time: \"2021-08-19 18:06:04\"\n" +
                        "desc: \"\"\n" +
                        "    description: \"18986035837\"\n" +
                        "flag: \"\"\n" +
                        "hits: 0\n" +
                        "id: 45\n" +
                        "img: \"/public/uploads/36/0018afaa180888e5aaa18020a6e9e3.jpg\"\n" +
                        "keywords: \"\"\n" +
                        "lang: \"zh-cn\"\n" +
                        "phone: \"18986035837\"\n" +
                        "shop: \"\"\n" +
                        "sort: 0\n" +
                        "status: 1\n" +
                        "tags: \"\"\n" +
                        "title: \"康乃馨\"\n" +
                        "uid: 0\n" +
                        "update_time: \"2021-08-19 18:06:04\"\n" +
                        "\n" +
                        "45:\n" +
                        "address: \"上海市闵行区申长路869号龙湖虹桥天街A馆5层\"\n" +
                        "allimg: \"/public/uploads/21/2fa71b476f1228172cb24ff5eebc25.jpg\"\n" +
                        "cid: 6\n" +
                        "content: \"&lt;p&gt;ROSS戴西养生堂&lt;/p&gt;\"\n" +
                        "create_time: \"2021-08-24 09:42:02\"\n" +
                        "desc: \"ROS'S (BINARY PREMIUM)\"\n" +
                        "    description: \"ROSS戴西养生堂\"\n" +
                        "flag: \"\"\n" +
                        "hits: 0\n" +
                        "id: 46\n" +
                        "img: \"/public/uploads/21/2fa71b476f1228172cb24ff5eebc25.jpg\"\n" +
                        "keywords: \"ROSS戴西养生堂\"\n" +
                        "lang: \"zh-cn\"\n" +
                        "phone: \"(021) 5458 0982\"\n" +
                        "shop: \"龙湖虹桥天街店\"\n" +
                        "sort: 0\n" +
                        "status: 1\n" +
                        "tags: \"\"\n" +
                        "title: \"戴西养生堂SPA\"\n" +
                        "uid: 0\n" +
                        "update_time: \"2021-08-24 09:42:02\"\n" +
                        "\n" +
                        "46:\n" +
                        "address: \"上海市静安区新闸路833号1楼-2\"\n" +
                        "allimg: \"/public/uploads/21/2fa71b476f1228172cb24ff5eebc25.jpg\"\n" +
                        "cid: 6\n" +
                        "content: \"&lt;p&gt;ROSS使用机构&lt;/p&gt;\"\n" +
                        "create_time: \"2021-08-24 09:47:15\"\n" +
                        "desc: \"ROS'S (BINARY PREMIUM)\"\n" +
                        "    description: \"ROSS使用机构\"\n" +
                        "flag: \"\"\n" +
                        "hits: 0\n" +
                        "id: 47\n" +
                        "img: \"/public/uploads/21/2fa71b476f1228172cb24ff5eebc25.jpg\"\n" +
                        "keywords: \"ROSS使用机构\"\n" +
                        "lang: \"zh-cn\"\n" +
                        "phone: \"(021) 5280 6821\"\n" +
                        "shop: \"新闸路店\"\n" +
                        "sort: 0\n" +
                        "status: 1\n" +
                        "tags: \"ROSS使用机构\"\n" +
                        "title: \"戴西SPA\"\n" +
                        "uid: 0\n" +
                        "update_time: \"2021-08-24 09:47:15\"\n" +
                        "\n" +
                        "47:\n" +
                        "address: \"上海市静安区万航渡路818号吉臣酒店10-11楼\"\n" +
                        "allimg: \"/public/uploads/21/2fa71b476f1228172cb24ff5eebc25.jpg\"\n" +
                        "cid: 6\n" +
                        "content: \"&lt;p&gt;ROSS使用机构&lt;/p&gt;\"\n" +
                        "create_time: \"2021-08-24 09:49:54\"\n" +
                        "desc: \"ROS'S (BINARY PREMIUM)\"\n" +
                        "    description: \"ROSS使用机构\"\n" +
                        "flag: \"\"\n" +
                        "hits: 0\n" +
                        "id: 48\n" +
                        "img: \"/public/uploads/21/2fa71b476f1228172cb24ff5eebc25.jpg\"\n" +
                        "keywords: \"ROSS使用机构\"\n" +
                        "lang: \"zh-cn\"\n" +
                        "phone: \"(021) 6390 6608\"\n" +
                        "shop: \"静安店\"\n" +
                        "sort: 0\n" +
                        "status: 1\n" +
                        "tags: \"ROSS使用机构\"\n" +
                        "title: \"戴西月子会所\"\n" +
                        "uid: 0\n" +
                        "update_time: \"2021-08-24 09:49:54\"\n" +
                        "\n" +
                        "48:\n" +
                        "address: \"浙江省宁波市慈溪市南三环路慈溪新城吾悦广场4楼4040商铺\"\n" +
                        "allimg: \"/public/uploads/21/2fa71b476f1228172cb24ff5eebc25.jpg,/public/uploads/21/2fa71b476f1228172cb24ff5eebc25.jpg\"\n" +
                        "cid: 6\n" +
                        "content: \"&lt;p&gt;ROSS使用机构&lt;/p&gt;\"\n" +
                        "create_time: \"2021-08-24 09:50:45\"\n" +
                        "desc: \"ROS'S (BINARY PREMIUM)\"\n" +
                        "    description: \"ROSS使用机构\"\n" +
                        "flag: \"\"\n" +
                        "hits: 0\n" +
                        "id: 49\n" +
                        "img: \"/public/uploads/21/2fa71b476f1228172cb24ff5eebc25.jpg\"\n" +
                        "keywords: \"\"\n" +
                        "lang: \"zh-cn\"\n" +
                        "phone: \" (0574) 6345 0066\"\n" +
                        "shop: \"慈溪吾悦广场店\"\n" +
                        "sort: 0\n" +
                        "status: 1\n" +
                        "tags: \"ROSS使用机构\"\n" +
                        "title: \"戴西养生堂\"\n" +
                        "uid: 0\n" +
                        "update_time: \"2021-08-24 09:50:45\"\n" +
                        "\n" +
                        "49:\n" +
                        "address: \"浙江省宁波市余姚市凤山街道时代第五街众安时代广场13栋4楼A4-8  \"\n" +
                        "allimg: \"/public/uploads/21/2fa71b476f1228172cb24ff5eebc25.jpg\"\n" +
                        "cid: 6\n" +
                        "content: \"&lt;p&gt;ROSS使用机构&lt;/p&gt;\"\n" +
                        "create_time: \"2021-08-24 09:52:19\"\n" +
                        "desc: \"ROS'S (BINARY PREMIUM)\"\n" +
                        "    description: \"ROSS使用机构\"\n" +
                        "flag: \"\"\n" +
                        "hits: 0\n" +
                        "id: 50\n" +
                        "img: \"/public/uploads/21/2fa71b476f1228172cb24ff5eebc25.jpg\"\n" +
                        "keywords: \"ROSS使用机构\"\n" +
                        "lang: \"zh-cn\"\n" +
                        "phone: \"(0574) 6261 6300\"\n" +
                        "shop: \"余姚店\"\n" +
                        "sort: 0\n" +
                        "status: 1\n" +
                        "tags: \"ROSS使用机构\"\n" +
                        "title: \"戴西养生堂\"\n" +
                        "uid: 0\n" +
                        "update_time: \"2021-08-24 09:52:19\"\n" +
                        "\n" +
                        "50:\n" +
                        "address: \"上海市静安区石门一路366号6F\"\n" +
                        "allimg: \"/public/uploads/c6/f4db4f4167696ca54e7e9bd2f39918.jpg\"\n" +
                        "cid: 6\n" +
                        "content: \"&lt;p&gt;ROSS使用机构&lt;/p&gt;\"\n" +
                        "create_time: \"2021-08-24 10:14:45\"\n" +
                        "desc: \"ROS'S (BINARY PREMIUM)\"\n" +
                        "    description: \"ROSS使用机构\"\n" +
                        "flag: \"\"\n" +
                        "hits: 0\n" +
                        "id: 51\n" +
                        "img: \"/public/uploads/c6/f4db4f4167696ca54e7e9bd2f39918.jpg\"\n" +
                        "keywords: \"ROSS使用机构\"\n" +
                        "lang: \"zh-cn\"\n" +
                        "phone: \"4001061080\"\n" +
                        "shop: \"上海镛舍店\"\n" +
                        "sort: 0\n" +
                        "status: 1\n" +
                        "tags: \"\"\n" +
                        "title: \"圣贝拉母婴护理中心\"\n" +
                        "uid: 0\n" +
                        "update_time: \"2021-08-24 10:14:45\"\n" +
                        "\n" +
                        "51:\n" +
                        "address: \"厦门市湖里区七尚酒店别墅6栋\"\n" +
                        "allimg: \"/public/uploads/c6/f4db4f4167696ca54e7e9bd2f39918.jpg\"\n" +
                        "cid: 6\n" +
                        "content: \"&lt;p&gt;ROSS使用机构&lt;/p&gt;\"\n" +
                        "create_time: \"2021-08-24 10:16:10\"\n" +
                        "desc: \"ROS'S (BINARY PREMIUM)\"\n" +
                        "    description: \"ROSS使用机构\"\n" +
                        "flag: \"\"\n" +
                        "hits: 0\n" +
                        "id: 52\n" +
                        "img: \"/public/uploads/c6/f4db4f4167696ca54e7e9bd2f39918.jpg\"\n" +
                        "keywords: \"ROSS使用机构\"\n" +
                        "lang: \"zh-cn\"\n" +
                        "phone: \"4001061080\"\n" +
                        "shop: \"厦门七尚店\"\n" +
                        "sort: 0\n" +
                        "status: 1\n" +
                        "tags: \"\"\n" +
                        "title: \"圣贝拉母婴护理中心\"\n" +
                        "uid: 0\n" +
                        "update_time: \"2021-08-24 10:16:10\"\n" +
                        "\n" +
                        "52:\n" +
                        "address: \"四川省成都市青羊区清江西路86号附102号\"\n" +
                        "allimg: \"/public/uploads/9e/021f74e953ba964a09c6bcc457e52b.jpg\"\n" +
                        "cid: 6\n" +
                        "content: \"&lt;p&gt;ROSS使用机构&lt;/p&gt;\"\n" +
                        "create_time: \"2021-08-24 10:18:03\"\n" +
                        "desc: \"ROS'S (BINARY PREMIUM)\"\n" +
                        "    description: \"ROSS使用机构\"\n" +
                        "flag: \"\"\n" +
                        "hits: 0\n" +
                        "id: 53\n" +
                        "img: \"/public/uploads/9e/021f74e953ba964a09c6bcc457e52b.jpg\"\n" +
                        "keywords: \"\"\n" +
                        "lang: \"zh-cn\"\n" +
                        "phone: \"028-61355886\"\n" +
                        "shop: \"金沙店 \"\n" +
                        "sort: 0\n" +
                        "status: 1\n" +
                        "tags: \"ROSS使用机构\"\n" +
                        "title: \"汉棠汉方医学诊所\"\n" +
                        "uid: 0\n" +
                        "update_time: \"2021-08-24 10:18:03\"\n" +
                        "\n" +
                        "53:\n" +
                        "address: \"四川省成都市温江区光华大道三段合生汇L2-3/L2-4\"\n" +
                        "allimg: \"/public/uploads/9e/021f74e953ba964a09c6bcc457e52b.jpg\"\n" +
                        "cid: 6\n" +
                        "content: \"&lt;p&gt;ROSS使用机构&lt;/p&gt;\"\n" +
                        "create_time: \"2021-08-24 10:20:04\"\n" +
                        "desc: \"ROS'S (BINARY PREMIUM)\"\n" +
                        "    description: \"ROSS使用机构\"\n" +
                        "flag: \"\"\n" +
                        "hits: 0\n" +
                        "id: 54\n" +
                        "img: \"/public/uploads/9e/021f74e953ba964a09c6bcc457e52b.jpg\"\n" +
                        "keywords: \"ROSS使用机构\"\n" +
                        "lang: \"zh-cn\"\n" +
                        "phone: \"028-86695055\"\n" +
                        "shop: \"温江店\"\n" +
                        "sort: 0\n" +
                        "status: 1\n" +
                        "tags: \"\"\n" +
                        "title: \"汉棠汉方医学诊所\"\n" +
                        "uid: 0\n" +
                        "update_time: \"2021-08-24 10:20:04\"\n" +
                        "\n" +
                        "54:\n" +
                        "address: \"成都市高新区交子大道300号悠方购物中心L3-318\"\n" +
                        "allimg: \"/public/uploads/9e/021f74e953ba964a09c6bcc457e52b.jpg\"\n" +
                        "cid: 6\n" +
                        "content: \"&lt;p&gt;ROSS使用机构&lt;/p&gt;\"\n" +
                        "create_time: \"2021-08-24 10:26:05\"\n" +
                        "desc: \"ROS'S (BINARY PREMIUM)\"\n" +
                        "    description: \"ROSS使用机构\"\n" +
                        "flag: \"\"\n" +
                        "hits: 0\n" +
                        "id: 55\n" +
                        "img: \"/public/uploads/9e/021f74e953ba964a09c6bcc457e52b.jpg\"\n" +
                        "keywords: \"ROSS使用机构\"\n" +
                        "lang: \"zh-cn\"\n" +
                        "phone: \"028-86699155\"\n" +
                        "shop: \"悠方店 \"\n" +
                        "sort: 0\n" +
                        "status: 1\n" +
                        "tags: \"\"\n" +
                        "title: \"汉棠汉方医学诊所\"\n" +
                        "uid: 0\n" +
                        "update_time: \"2021-08-24 10:26:05\"\n" +
                        "\n" +
                        "55:\n" +
                        "address: \"四川省成都市金牛区花照壁西顺街400号附205号2楼\"\n" +
                        "allimg: \"/public/uploads/9e/021f74e953ba964a09c6bcc457e52b.jpg\"\n" +
                        "cid: 6\n" +
                        "content: \"&lt;p&gt;ROSS合作机构&lt;/p&gt;\"\n" +
                        "create_time: \"2021-08-24 10:28:17\"\n" +
                        "desc: \"ROS'S (BINARY PREMIUM)\"\n" +
                        "    description: \"ROSS合作机构\"\n" +
                        "flag: \"\"\n" +
                        "hits: 0\n" +
                        "id: 56\n" +
                        "img: \"/public/uploads/9e/021f74e953ba964a09c6bcc457e52b.jpg\"\n" +
                        "keywords: \"ROSS合作机构\"\n" +
                        "lang: \"zh-cn\"\n" +
                        "phone: \" 028-87779578\"\n" +
                        "shop: \"西宸店 \"\n" +
                        "sort: 0\n" +
                        "status: 1\n" +
                        "tags: \"\"\n" +
                        "title: \"汉棠汉方医学诊所\"\n" +
                        "uid: 0\n" +
                        "update_time: \"2021-08-24 10:28:17\"\n" +
                        "\n" +
                        "56:\n" +
                        "address: \"四川省绵阳市科创园区剑南路388号长兴星城6幢2层2号\"\n" +
                        "allimg: \"/public/uploads/9e/021f74e953ba964a09c6bcc457e52b.jpg\"\n" +
                        "cid: 6\n" +
                        "content: \"&lt;p&gt;ROSS合作机构&lt;/p&gt;\"\n" +
                        "create_time: \"2021-08-24 10:28:59\"\n" +
                        "desc: \"ROS'S (BINARY PREMIUM)\"\n" +
                        "    description: \"ROSS合作机构\"\n" +
                        "flag: \"\"\n" +
                        "hits: 0\n" +
                        "id: 57\n" +
                        "img: \"/public/uploads/9e/021f74e953ba964a09c6bcc457e52b.jpg\"\n" +
                        "keywords: \"ROSS合作机构\"\n" +
                        "lang: \"zh-cn\"\n" +
                        "phone: \"0816-2266033\"\n" +
                        "shop: \"绵阳店 \"\n" +
                        "sort: 0\n" +
                        "status: 1\n" +
                        "tags: \"\"\n" +
                        "title: \"汉棠汉方医学诊所\"\n" +
                        "uid: 0\n" +
                        "update_time: \"2021-08-24 10:28:59\"\n" +
                        "\n" +
                        "57:\n" +
                        "address: \"陕西省西安市科技路33号世纪金花中心三层东区F3-65\"\n" +
                        "allimg: \"/public/uploads/2e/1078d5a6a10701e2319e60b2265411.jpg\"\n" +
                        "cid: 6\n" +
                        "content: \"&lt;p&gt;ross合作机构&lt;/p&gt;\"\n" +
                        "create_time: \"2021-08-24 14:27:32\"\n" +
                        "desc: \"ROS'S (BINARY PREMIUM)\"\n" +
                        "    description: \"ROSS合作机构\"\n" +
                        "flag: \"\"\n" +
                        "hits: 0\n" +
                        "id: 58\n" +
                        "img: \"/public/uploads/2e/1078d5a6a10701e2319e60b2265411.jpg\"\n" +
                        "keywords: \"ROSS合作机构\"\n" +
                        "lang: \"zh-cn\"\n" +
                        "phone: \"130 2854 4096\"\n" +
                        "shop: \"高新店\"\n" +
                        "sort: 0\n" +
                        "status: 1\n" +
                        "tags: \"\"\n" +
                        "title: \"漾慕国际美学抗衰中心\"\n" +
                        "uid: 0\n" +
                        "update_time: \"2021-08-24 14:27:32\"\n" +
                        "\n" +
                        "58:\n" +
                        "address: \"陕西省西安市凤城八路168号汉神购物广场二楼\"\n" +
                        "allimg: \"/public/uploads/2e/1078d5a6a10701e2319e60b2265411.jpg\"\n" +
                        "cid: 6\n" +
                        "content: \"&lt;p&gt;ross合作机构&lt;/p&gt;&lt;p&gt;&lt;br&gt;&lt;/p&gt;\"\n" +
                        "create_time: \"2021-08-24 14:32:59\"\n" +
                        "desc: \"ROS'S (BINARY PREMIUM)\"\n" +
                        "    description: \"ross合作机构\\n\"\n" +
                        "flag: \"\"\n" +
                        "hits: 0\n" +
                        "id: 59\n" +
                        "img: \"/public/uploads/2e/1078d5a6a10701e2319e60b2265411.jpg\"\n" +
                        "keywords: \"ross合作机构\"\n" +
                        "lang: \"zh-cn\"\n" +
                        "phone: \"182 9281 5633\"\n" +
                        "shop: \"凤城八路汉神店\"\n" +
                        "sort: 0\n" +
                        "status: 1\n" +
                        "tags: \"\"\n" +
                        "title: \"漾慕国际\"\n" +
                        "uid: 0\n" +
                        "update_time: \"2021-08-24 14:32:59\"\n" +
                        "\n" +
                        "59:\n" +
                        "address: \"江苏省苏州市苏震桃路188号永旺梦乐城2层258-259\"\n" +
                        "allimg: \"/public/uploads/3e/f02c05a16fc3a8ff6547023e600202.jpg\"\n" +
                        "cid: 6\n" +
                        "content: \"&lt;p&gt;ross合作机构&lt;/p&gt;\"\n" +
                        "create_time: \"2021-08-24 14:36:21\"\n" +
                        "desc: \"ROS'S (BINARY PREMIUM)\"\n" +
                        "    description: \"ross合作机构\"\n" +
                        "flag: \"\"\n" +
                        "hits: 0\n" +
                        "id: 60\n" +
                        "img: \"/public/uploads/3e/f02c05a16fc3a8ff6547023e600202.jpg\"\n" +
                        "keywords: \"ross合作机构\"\n" +
                        "lang: \"zh-cn\"\n" +
                        "phone: \"180 1275 6885\"\n" +
                        "shop: \"\"\n" +
                        "sort: 0\n" +
                        "status: 1\n" +
                        "tags: \"\"\n" +
                        "title: \"极植美学\"\n" +
                        "uid: 0\n" +
                        "update_time: \"2021-08-24 14:36:21\"\n" +
                        "\n" +
                        "60:\n" +
                        "address: \"广东省广州市番禺区万达金街68铺\"\n" +
                        "allimg: \"/public/uploads/48/fdb5b1325ee9c978f9a0a55ab1f4a0.jpg\"\n" +
                        "cid: 6\n" +
                        "content: \"&lt;p&gt;ross合作机构&lt;/p&gt;\"\n" +
                        "create_time: \"2021-08-24 14:37:14\"\n" +
                        "desc: \"ROS'S (BINARY PREMIUM)\"\n" +
                        "    description: \"ross合作机构\"\n" +
                        "flag: \"\"\n" +
                        "hits: 0\n" +
                        "id: 61\n" +
                        "img: \"/public/uploads/48/fdb5b1325ee9c978f9a0a55ab1f4a0.jpg\"\n" +
                        "keywords: \"\"\n" +
                        "lang: \"zh-cn\"\n" +
                        "phone: \"186 2094 3127\"\n" +
                        "shop: \"\"\n" +
                        "sort: 0\n" +
                        "status: 1\n" +
                        "tags: \"\"\n" +
                        "title: \"星颜丽妃科技美肤\"\n" +
                        "uid: 0\n" +
                        "update_time: \"2021-08-24 14:37:14\"\n" +
                        "\n" +
                        "61:\n" +
                        "address: \"广东省深圳市宝安区大仟里一楼L198\"\n" +
                        "allimg: \"/public/uploads/54/4dfcc9c46982158cad601c33937d94.png,/public/uploads/54/4dfcc9c46982158cad601c33937d94.png\"\n" +
                        "cid: 6\n" +
                        "content: \"&lt;p&gt;ROS&lt;/p&gt;\"\n" +
                        "create_time: \"2021-08-24 14:41:24\"\n" +
                        "desc: \"\"\n" +
                        "    description: \"ROS\"\n" +
                        "flag: \"\"\n" +
                        "hits: 0\n" +
                        "id: 62\n" +
                        "img: \"/public/uploads/54/4dfcc9c46982158cad601c33937d94.png\"\n" +
                        "keywords: \"ROSS\"\n" +
                        "lang: \"zh-cn\"\n" +
                        "phone: \"15986648621\"\n" +
                        "shop: \"\"\n" +
                        "sort: 0\n" +
                        "status: 1\n" +
                        "tags: \"\"\n" +
                        "title: \"希瑞尔科技美肤健康管理中心\"\n" +
                        "uid: 0\n" +
                        "update_time: \"2021-08-24 14:41:24\"\n" +
                        "\n" +
                        "62:\n" +
                        "address: \"广东省东莞市塘厦镇湖景路3号锦绣花园8-12号商铺\"\n" +
                        "allimg: \"\"\n" +
                        "cid: 6\n" +
                        "content: \"&lt;p&gt;&lt;span style='color: rgb(153, 153, 153); font-family: -apple-system, BlinkMacSystemFont, &quot;Segoe UI&quot;, Roboto, &quot;Helvetica Neue&quot;, Arial, &quot;Noto Sans&quot;, sans-serif, &quot;Apple Color Emoji&quot;, &quot;Segoe UI Emoji&quot;, &quot;Segoe UI Symbol&quot;, &quot;Noto Color Emoji&quot;; font-size: 16px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 700; letter-spacing: normal; orphans: 2; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: rgb(255, 255, 255); text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;'&gt;颐天健中医养生连锁&lt;/span&gt; &lt;/p&gt;\"\n" +
                        "create_time: \"2021-08-24 14:57:53\"\n" +
                        "desc: \"ROS'S (BINARY PREMIUM)\"\n" +
                        "    description: \"颐天健中医养生连锁 \"\n" +
                        "flag: \"\"\n" +
                        "hits: 0\n" +
                        "id: 63\n" +
                        "img: \"/public/uploads/3c/dd87c54e8ee48f8572d66af09b18ad.jpg\"\n" +
                        "keywords: \"\"\n" +
                        "lang: \"zh-cn\"\n" +
                        "phone: \"0769-822553316\"\n" +
                        "shop: \"塘厦直营店\"\n" +
                        "sort: 0\n" +
                        "status: 1\n" +
                        "tags: \"\"\n" +
                        "title: \"颐天健中医养生连锁\"\n" +
                        "uid: 0\n" +
                        "update_time: \"2021-08-24 14:57:53\"\n" +
                        "\n" +
                        "63:\n" +
                        "address: \"广东省深圳市福田区园岭八街园东花园天阶1号2号111-114号\"\n" +
                        "allimg: \"/public/uploads/3c/dd87c54e8ee48f8572d66af09b18ad.jpg\"\n" +
                        "cid: 6\n" +
                        "content: \"&lt;p&gt;&lt;span style='color: rgb(33, 37, 41); font-family: -apple-system, BlinkMacSystemFont, &quot;Segoe UI&quot;, Roboto, &quot;Helvetica Neue&quot;, Arial, &quot;Noto Sans&quot;, sans-serif, &quot;Apple Color Emoji&quot;, &quot;Segoe UI Emoji&quot;, &quot;Segoe UI Symbol&quot;, &quot;Noto Color Emoji&quot;; font-size: 14px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; orphans: 2; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: rgb(255, 255, 255); text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;'&gt;ROS&amp;#39;S (BINARY PREMIUM)&lt;/span&gt; &lt;/p&gt;\"\n" +
                        "create_time: \"2021-08-24 15:15:23\"\n" +
                        "desc: \"ROS'S (BINARY PREMIUM)\"\n" +
                        "    description: \"ROS&#39;S (BINARY PREMIUM) \"\n" +
                        "flag: \"\"\n" +
                        "hits: 0\n" +
                        "id: 64\n" +
                        "img: \"/public/uploads/3c/dd87c54e8ee48f8572d66af09b18ad.jpg\"\n" +
                        "keywords: \"\"\n" +
                        "lang: \"zh-cn\"\n" +
                        "phone: \"\"\n" +
                        "shop: \"深圳福田店\"\n" +
                        "sort: 0\n" +
                        "status: 1\n" +
                        "tags: \"\"\n" +
                        "title: \"颐天健中医养生连锁\"\n" +
                        "uid: 0\n" +
                        "update_time: \"2021-08-24 15:15:23\"\n" +
                        "\n" +
                        "64:\n" +
                        "address: \"广东省广州市海明路金碧华府南门1楼\"\n" +
                        "allimg: \"/public/uploads/3c/dd87c54e8ee48f8572d66af09b18ad.jpg\"\n" +
                        "cid: 6\n" +
                        "content: \"&lt;p&gt;合作机构&lt;/p&gt;\"\n" +
                        "create_time: \"2021-08-25 14:21:16\"\n" +
                        "desc: \"ROS'S (BINARY PREMIUM)\"\n" +
                        "    description: \"合作机构\"\n" +
                        "flag: \"\"\n" +
                        "hits: 0\n" +
                        "id: 65\n" +
                        "img: \"/public/uploads/3c/dd87c54e8ee48f8572d66af09b18ad.jpg\"\n" +
                        "keywords: \"\"\n" +
                        "lang: \"zh-cn\"\n" +
                        "phone: \"13229440173\"\n" +
                        "shop: \"广粤天地店\"\n" +
                        "sort: 0\n" +
                        "status: 1\n" +
                        "tags: \"\"\n" +
                        "title: \"颐天健中医养生连锁\"\n" +
                        "uid: 0\n" +
                        "update_time: \"2021-08-25 14:21:16\"\n" +
                        "\n" +
                        "65:\n" +
                        "address: \"江苏省苏州市虎丘区狮山街道 详细地址: 狮山龙湖天街A-5F-03\"\n" +
                        "allimg: \"/public/uploads/3e/f02c05a16fc3a8ff6547023e600202.jpg\"\n" +
                        "cid: 6\n" +
                        "content: \"&lt;p&gt;合作门店&lt;/p&gt;\"\n" +
                        "create_time: \"2021-08-25 14:31:18\"\n" +
                        "desc: \"ROS'S (BINARY PREMIUM)\"\n" +
                        "    description: \"合作门店\"\n" +
                        "flag: \"\"\n" +
                        "hits: 0\n" +
                        "id: 66\n" +
                        "img: \"/public/uploads/3e/f02c05a16fc3a8ff6547023e600202.jpg\"\n" +
                        "keywords: \"\"\n" +
                        "lang: \"zh-cn\"\n" +
                        "phone: \"13816628605\"\n" +
                        "shop: \"\"\n" +
                        "sort: 0\n" +
                        "status: 1\n" +
                        "tags: \"\"\n" +
                        "title: \"极值美学\"\n" +
                        "uid: 0\n" +
                        "update_time: \"2021-08-25 14:31:18\"\n" +
                        "\n" +
                        "66:\n" +
                        "address: \"山东省临沂市兰山区北城新区临沂大剧院水边南边50米美甲店\"\n" +
                        "allimg: \"/public/uploads/d5/a17a4bca215c160d83253bfbba5b59.png\"\n" +
                        "cid: 6\n" +
                        "content: \"&lt;p&gt;ross合作门店&lt;/p&gt;\"\n" +
                        "create_time: \"2021-08-25 14:32:20\"\n" +
                        "desc: \"ROS'S (BINARY PREMIUM)\"\n" +
                        "    description: \"ross合作门店\"\n" +
                        "flag: \"\"\n" +
                        "hits: 0\n" +
                        "id: 67\n" +
                        "img: \"/public/uploads/d5/a17a4bca215c160d83253bfbba5b59.png\"\n" +
                        "keywords: \"\"\n" +
                        "lang: \"zh-cn\"\n" +
                        "phone: \"17762055522\"\n" +
                        "shop: \"\"\n" +
                        "sort: 0\n" +
                        "status: 1\n" +
                        "tags: \"\"\n" +
                        "title: \"Rika Beauty\"\n" +
                        "uid: 0\n" +
                        "update_time: \"2021-08-25 14:32:20\"\n" +
                        "\n" +
                        "67:\n" +
                        "address: \"\"\n" +
                        "allimg: \"/public/uploads/46/9d4a0c1341c1e51a89652e6ace88b4.png\"\n" +
                        "cid: 6\n" +
                        "content: \"&lt;p&gt;中国再生医学&lt;/p&gt;\"\n" +
                        "create_time: \"2021-09-29 15:26:51\"\n" +
                        "desc: \"ROS'S (BINARY PREMIUM)\"\n" +
                        "    description: \"中国再生医学\"\n" +
                        "flag: \"\"\n" +
                        "hits: 0\n" +
                        "id: 68\n" +
                        "img: \"/public/uploads/46/9d4a0c1341c1e51a89652e6ace88b4.png\"\n" +
                        "keywords: \"\"\n" +
                        "lang: \"zh-cn\"\n" +
                        "phone: \"\"\n" +
                        "shop: \"\"\n" +
                        "sort: 0\n" +
                        "status: 1\n" +
                        "tags: \"\"\n" +
                        "title: \"中国再生医学星空医疗美学门诊\"\n" +
                        "uid: 0\n" +
                        "update_time: \"2021-09-29 15:26:51\"\n" +
                        "\n" +
                        "68:\n" +
                        "address: \"江苏省江阴市青果路14号4楼\"\n" +
                        "allimg: \"/public/uploads/4a/5d8fef09a7faf01a182427c6a39005.jpg,/public/uploads/fe/8038d1d346fd5b1f33f6d42da7bcf8.jpg,/public/uploads/35/62ae81c7b7e4462138115f9f3dc7e9.jpg\"\n" +
                        "cid: 6\n" +
                        "content: \"&lt;p&gt;金翅鸟健康管理&lt;/p&gt;\"\n" +
                        "create_time: \"2021-10-22 16:57:21\"\n" +
                        "desc: \"ROS'S (BINARY PREMIUM)\"\n" +
                        "    description: \"金翅鸟健康管理\"\n" +
                        "flag: \"\"\n" +
                        "hits: 0\n" +
                        "id: 69\n" +
                        "img: \"/public/uploads/99/e2fc949ee671a0afe474173b92babe.jpg\"\n" +
                        "keywords: \"金翅鸟健康管理\"\n" +
                        "lang: \"zh-cn\"\n" +
                        "phone: \"0510-86800000\"\n" +
                        "shop: \"江阴\"\n" +
                        "sort: 0\n" +
                        "status: 1\n" +
                        "tags: \"\"\n" +
                        "title: \"金翅鸟健康管理（江阴）有限公司\"\n" +
                        "uid: 0\n" +
                        "update_time: \"2021-10-22 16:57:21\"\n" +
                        "\n" +
                        "69:\n" +
                        "address: \"\"\n" +
                        "allimg: \"\"\n" +
                        "cid: 6\n" +
                        "content: \"&lt;p&gt;绍兴纪美国际&lt;/p&gt;\"\n" +
                        "create_time: \"2021-11-22 14:31:25\"\n" +
                        "desc: \"\"\n" +
                        "    description: \"绍兴纪美国际\"\n" +
                        "flag: \"\"\n" +
                        "hits: 0\n" +
                        "id: 70\n" +
                        "img: \"\"\n" +
                        "keywords: \"\"\n" +
                        "lang: \"zh-cn\"\n" +
                        "phone: \"\"\n" +
                        "shop: \"\"\n" +
                        "sort: 0\n" +
                        "status: 1\n" +
                        "tags: \"\"\n" +
                        "title: \"绍兴纪美国际\"\n" +
                        "uid: 0\n" +
                        "update_time: \"2021-11-22 14:31:25\"\n" +
                        "\n" +
                        "70:\n" +
                        "address: \"\"\n" +
                        "allimg: \"\"\n" +
                        "cid: 6\n" +
                        "content: \"&lt;p&gt;ROSS中国区合作机构：北京伊凡美&lt;/p&gt;\"\n" +
                        "create_time: \"2021-11-22 14:32:11\"\n" +
                        "desc: \"\"\n" +
                        "    description: \"ROSS中国区合作机构：北京伊凡美\"\n" +
                        "flag: \"\"\n" +
                        "hits: 0\n" +
                        "id: 71\n" +
                        "img: \"\"\n" +
                        "keywords: \"\"\n" +
                        "lang: \"zh-cn\"\n" +
                        "phone: \"\"\n" +
                        "shop: \"\"\n" +
                        "sort: 0\n" +
                        "status: 1\n" +
                        "tags: \"\"\n" +
                        "title: \"北京伊凡美\"\n" +
                        "uid: 0\n" +
                        "update_time: \"2021-11-22 14:32:11\"\n" +
                        "\n" +
                        "71:\n" +
                        "address: \"\"\n" +
                        "allimg: \"\"\n" +
                        "cid: 6\n" +
                        "content: \"&lt;p&gt;ROSS中国区合作机构：上海梓凝生物科技有限公司&lt;/p&gt;\"\n" +
                        "create_time: \"2021-11-22 14:32:50\"\n" +
                        "desc: \"\"\n" +
                        "    description: \"ROSS中国区合作机构：上海梓凝生物科技有限公司\"\n" +
                        "flag: \"\"\n" +
                        "hits: 0\n" +
                        "id: 72\n" +
                        "img: \"\"\n" +
                        "keywords: \"\"\n" +
                        "lang: \"zh-cn\"\n" +
                        "phone: \"\"\n" +
                        "shop: \"\"\n" +
                        "sort: 0\n" +
                        "status: 1\n" +
                        "tags: \"\"\n" +
                        "title: \"上海梓凝生物科技有限公司\"\n" +
                        "uid: 0\n" +
                        "update_time: \"2021-11-22 14:32:50\"\n" +
                        "\n" +
                        "72:\n" +
                        "address: \"\"\n" +
                        "allimg: \"/public/uploads/6b/630e79fb1f8d846586e4b5b7ffbf9e.jpg\"\n" +
                        "cid: 6\n" +
                        "content: \"&lt;p&gt;依霖&amp;middot;艺术&amp;middot;SPA&lt;/p&gt;\"\n" +
                        "create_time: \"2021-11-22 14:34:52\"\n" +
                        "desc: \"ROS'S (BINARY PREMIUM)\"\n" +
                        "    description: \"ROS'S (BINARY PREMIUM)\"\n" +
                        "flag: \"\"\n" +
                        "hits: 0\n" +
                        "id: 73\n" +
                        "img: \"/public/uploads/6b/630e79fb1f8d846586e4b5b7ffbf9e.jpg\"\n" +
                        "keywords: \"\"\n" +
                        "lang: \"zh-cn\"\n" +
                        "phone: \"\"\n" +
                        "shop: \"宣化店\"\n" +
                        "sort: 0\n" +
                        "status: 1\n" +
                        "tags: \"\"\n" +
                        "title: \"依霖·艺术·SPA\"\n" +
                        "uid: 0\n" +
                        "update_time: \"2021-11-22 14:34:52\"\n" +
                        "\n" +
                        "73:\n" +
                        "address: \"\"\n" +
                        "allimg: \"/public/uploads/37/fbb2328c091e7b5454f589ebe616f1.png,/public/uploads/42/acf9e34c2d404300e92b1bfe50c426.png\"\n" +
                        "cid: 6\n" +
                        "content: \"&lt;p&gt;北京泰和生物科技有限公司&lt;/p&gt;\"\n" +
                        "create_time: \"2021-11-22 14:37:28\"\n" +
                        "desc: \"\"\n" +
                        "    description: \"北京泰和生物科技有限公司\"\n" +
                        "flag: \"\"\n" +
                        "hits: 0\n" +
                        "id: 74\n" +
                        "img: \"/public/uploads/42/acf9e34c2d404300e92b1bfe50c426.png\"\n" +
                        "keywords: \"\"\n" +
                        "lang: \"zh-cn\"\n" +
                        "phone: \"\"\n" +
                        "shop: \"\"\n" +
                        "sort: 0\n" +
                        "status: 1\n" +
                        "tags: \"\"\n" +
                        "title: \"北京泰和生物科技有限公司\"\n" +
                        "uid: 0\n" +
                        "update_time: \"2021-11-22 14:37:28\"\n" +
                        "\n" +
                        "74:\n" +
                        "address: \"\"\n" +
                        "allimg: \"/public/uploads/37/fbb2328c091e7b5454f589ebe616f1.png\"\n" +
                        "cid: 6\n" +
                        "content: \"&lt;p&gt;北京环球风尚美容&lt;/p&gt;\"\n" +
                        "create_time: \"2021-11-22 14:38:37\"\n" +
                        "desc: \"\"\n" +
                        "    description: \"北京环球风尚美容\"\n" +
                        "flag: \"\"\n" +
                        "hits: 0\n" +
                        "id: 75\n" +
                        "img: \"/public/uploads/37/fbb2328c091e7b5454f589ebe616f1.png\"\n" +
                        "keywords: \"\"\n" +
                        "lang: \"zh-cn\"\n" +
                        "phone: \"\"\n" +
                        "shop: \"\"\n" +
                        "sort: 0\n" +
                        "status: 1\n" +
                        "tags: \"\"\n" +
                        "title: \"北京环球风尚美容\"\n" +
                        "uid: 0\n" +
                        "update_time: \"2021-11-22 14:38:37\"\n" +
                        "\n" +
                        "75:\n" +
                        "address: \"\"\n" +
                        "allimg: \"/public/uploads/5e/5adf13b5f0f7e9a0d14e5067767d46.png\"\n" +
                        "cid: 6\n" +
                        "content: \"&lt;p&gt;苏州澳泰众创贸易有限公司&lt;/p&gt;\"\n" +
                        "create_time: \"2021-11-22 14:39:00\"\n" +
                        "desc: \"\"\n" +
                        "    description: \"苏州澳泰众创贸易有限公司\"\n" +
                        "flag: \"\"\n" +
                        "hits: 0\n" +
                        "id: 76\n" +
                        "img: \"/public/uploads/37/fbb2328c091e7b5454f589ebe616f1.png\"\n" +
                        "keywords: \"\"\n" +
                        "lang: \"zh-cn\"\n" +
                        "phone: \"\"\n" +
                        "shop: \"\"\n" +
                        "sort: 0\n" +
                        "status: 1\n" +
                        "tags: \"\"\n" +
                        "title: \"苏州澳泰众创贸易有限公司\"\n" +
                        "uid: 0\n" +
                        "update_time: \"2021-11-22 14:39:00\"\n" +
                        "\n" +
                        "76:\n" +
                        "address: \"\"\n" +
                        "allimg: \"/public/uploads/02/53bb323a020074868c4118331156ba.png\"\n" +
                        "cid: 6\n" +
                        "content: \"&lt;p&gt;武汉美诗婷&lt;/p&gt;\"\n" +
                        "create_time: \"2021-11-22 14:41:29\"\n" +
                        "desc: \"\"\n" +
                        "    description: \"武汉美诗婷\"\n" +
                        "flag: \"\"\n" +
                        "hits: 0\n" +
                        "id: 77\n" +
                        "img: \"/public/uploads/02/53bb323a020074868c4118331156ba.png\"\n" +
                        "keywords: \"\"\n" +
                        "lang: \"zh-cn\"\n" +
                        "phone: \"\"\n" +
                        "shop: \"\"\n" +
                        "sort: 0\n" +
                        "status: 1\n" +
                        "tags: \"\"\n" +
                        "title: \"武汉美诗婷\"\n" +
                        "uid: 0\n" +
                        "update_time: \"2021-11-22 14:41:29\"\n" +
                        "\n" +
                        "77:\n" +
                        "address: \"\"\n" +
                        "allimg: \"/public/uploads/2b/2c2be2496c5819d2e490150ac0b7c2.jpg\"\n" +
                        "cid: 6\n" +
                        "content: \"&lt;p&gt;香港和敬&lt;/p&gt;\"\n" +
                        "create_time: \"2021-11-22 14:50:25\"\n" +
                        "desc: \"ROS'S (BINARY PREMIUM)\"\n" +
                        "    description: \"香港和敬\"\n" +
                        "flag: \"\"\n" +
                        "hits: 0\n" +
                        "id: 78\n" +
                        "img: \"/public/uploads/2b/2c2be2496c5819d2e490150ac0b7c2.jpg\"\n" +
                        "keywords: \"\"\n" +
                        "lang: \"zh-cn\"\n" +
                        "phone: \"\"\n" +
                        "shop: \"\"\n" +
                        "sort: 0\n" +
                        "status: 1\n" +
                        "tags: \"\"\n" +
                        "title: \"上海私享佳\"\n" +
                        "uid: 0\n" +
                        "update_time: \"2021-11-22 14:50:25\"\n" +
                        "\n" +
                        "78:\n" +
                        "address: \"湖北省武汉市江汉区民生路世纪中心2812\"\n" +
                        "allimg: \"\"\n" +
                        "cid: 6\n" +
                        "content: \"&lt;p&gt;星提旺花&lt;/p&gt;\"\n" +
                        "create_time: \"2021-11-22 17:03:47\"\n" +
                        "desc: \"ROS'S (BINARY PREMIUM)\"\n" +
                        "    description: \"星提旺花\"\n" +
                        "flag: \"\"\n" +
                        "hits: 0\n" +
                        "id: 79\n" +
                        "img: \"\"\n" +
                        "keywords: \"\"\n" +
                        "lang: \"zh-cn\"\n" +
                        "phone: \"\"\n" +
                        "shop: \"\"\n" +
                        "sort: 0\n" +
                        "status: 1\n" +
                        "tags: \"\"\n" +
                        "title: \"星提旺花\"\n" +
                        "uid: 0\n" +
                        "update_time: \"2021-11-22 17:03:47\"\n" +
                        "\n" +
                        "79:\n" +
                        "address: \"浙江省绍兴市越城区塔山街道鲁迅中路179号咸亨酒店（北区5号楼休闲中心）\"\n" +
                        "allimg: \"/public/uploads/6f/d4a340a206fb3556f44a580a200d86.jpg\"\n" +
                        "cid: 6\n" +
                        "content: \"&lt;p&gt;潺SPA&lt;/p&gt;\"\n" +
                        "create_time: \"2022-02-11 15:19:23\"\n" +
                        "desc: \"ROS'S (BINARY PREMIUM)\"\n" +
                        "    description: \"潺SPA\"\n" +
                        "flag: \"\"\n" +
                        "hits: 0\n" +
                        "id: 80\n" +
                        "img: \"/public/uploads/6f/d4a340a206fb3556f44a580a200d86.jpg\"\n" +
                        "keywords: \"\"\n" +
                        "lang: \"zh-cn\"\n" +
                        "phone: \"13758553666\"\n" +
                        "shop: \"\"\n" +
                        "sort: 0\n" +
                        "status: 1\n" +
                        "tags: \"\"\n" +
                        "title: \"潺SPA\"\n" +
                        "uid: 0\n" +
                        "update_time: \"2022-02-11 15:19:23\"\n" +
                        "\n" +
                        "80:\n" +
                        "address: \"\"\n" +
                        "allimg: \"/public/uploads/7d/7e0dfb4c42a6f80ad6ceffeed904b3.jpg\"\n" +
                        "cid: 6\n" +
                        "content: \"&lt;p&gt;&lt;span style='color: rgb(33, 37, 41); font-family: -apple-system, BlinkMacSystemFont, &quot;Segoe UI&quot;, Roboto, &quot;Helvetica Neue&quot;, Arial, &quot;Noto Sans&quot;, sans-serif, &quot;Apple Color Emoji&quot;, &quot;Segoe UI Emoji&quot;, &quot;Segoe UI Symbol&quot;, &quot;Noto Color Emoji&quot;; font-size: 14px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; orphans: 2; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: rgb(255, 255, 255); text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;'&gt;ROS&amp;#39;S (BINARY PREMIUM)&lt;/span&gt;&lt;/p&gt;\"\n" +
                        "create_time: \"2022-02-19 11:54:42\"\n" +
                        "desc: \"ROS'S (BINARY PREMIUM)\"\n" +
                        "    description: \"ROS&#39;S (BINARY PREMIUM) \"\n" +
                        "flag: \"\"\n" +
                        "hits: 0\n" +
                        "id: 81\n" +
                        "img: \"/public/uploads/7d/7e0dfb4c42a6f80ad6ceffeed904b3.jpg\"\n" +
                        "keywords: \"\"\n" +
                        "lang: \"zh-cn\"\n" +
                        "phone: \"\"\n" +
                        "shop: \"\"\n" +
                        "sort: 0\n" +
                        "status: 1\n" +
                        "tags: \"\"\n" +
                        "title: \"东森•自然美\"\n" +
                        "uid: 0\n" +
                        "update_time: \"2022-02-19 11:54:42\"\n" +
                        "\n" +
                        "81:\n" +
                        "address: \"中大国际商业中心B3层\"\n" +
                        "allimg: \"/public/uploads/95/b4e78cc04fa7ae8af6219fdf1786cc.jpg\"\n" +
                        "cid: 6\n" +
                        "content: \"&lt;p&gt;&lt;span style='color: rgb(33, 37, 41); font-family: -apple-system, BlinkMacSystemFont, &quot;Segoe UI&quot;, Roboto, &quot;Helvetica Neue&quot;, Arial, &quot;Noto Sans&quot;, sans-serif, &quot;Apple Color Emoji&quot;, &quot;Segoe UI Emoji&quot;, &quot;Segoe UI Symbol&quot;, &quot;Noto Color Emoji&quot;; font-size: 14px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; orphans: 2; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: rgb(255, 255, 255); text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;'&gt;ROS&amp;#39;S (BINARY PREMIUM)&lt;/span&gt; &lt;/p&gt;\"\n" +
                        "create_time: \"2022-02-19 12:03:33\"\n" +
                        "desc: \"ROS'S (BINARY PREMIUM)\"\n" +
                        "    description: \"ROS'S (BINARY PREMIUM)\"\n" +
                        "flag: \"\"\n" +
                        "hits: 3\n" +
                        "id: 82\n" +
                        "img: \"/public/uploads/95/b4e78cc04fa7ae8af6219fdf1786cc.jpg\"\n" +
                        "keywords: \"ROS'S (BINARY PREMIUM)\"\n" +
                        "lang: \"zh-cn\"\n" +
                        "phone: \"029-89523752\"\n" +
                        "shop: \"\"\n" +
                        "sort: 0\n" +
                        "status: 1\n" +
                        "tags: \"\"\n" +
                        "title: \"西安美丽宣言科技美容纤体中心\"\n" +
                        "uid: 0\n" +
                        "update_time: \"2022-02-19 12:03:33\"\n" +
                        "\n" +
                        "82:\n" +
                        "address: \"武汉市东西湖区宏图大道8号卓尔万豪酒店23楼\"\n" +
                        "allimg: \"/public/uploads/1f/594643172436f4a02ecb00e099141e.jpg,/public/uploads/da/0a302ce2a10b96792db05c9cbd1418.jpg\"\n" +
                        "cid: 6\n" +
                        "content: \"&lt;p&gt;&amp;nbsp;STAR WIN星好旺母婴护理机构&lt;/p&gt;\"\n" +
                        "create_time: \"2022-04-01 17:41:33\"\n" +
                        "desc: \"ROS'S (BINARY PREMIUM)\"\n" +
                        "    description: \" STAR WIN星好旺母婴护理机构\"\n" +
                        "flag: \"\"\n" +
                        "hits: 2\n" +
                        "id: 83\n" +
                        "img: \"/public/uploads/75/b0892b8741388d99630cabda598a78.jpg\"\n" +
                        "keywords: \"\"\n" +
                        "lang: \"zh-cn\"\n" +
                        "phone: \"13886149971\"\n" +
                        "shop: \"星好旺\"\n" +
                        "sort: 0\n" +
                        "status: 1\n" +
                        "tags: \"\"\n" +
                        "title: \"STAR WIN星好旺母婴护理机构\"\n" +
                        "uid: 0\n" +
                        "update_time: \"2022-04-01 17:41:33\"\n" +
                        "\n" +
                        "83:\n" +
                        "address: \"辽宁省盘锦市兴隆台区蓝色康桥F区西门\"\n" +
                        "allimg: \"/public/uploads/94/b82372dc60e91e90dcaf06522690e0.jpg\"\n" +
                        "cid: 6\n" +
                        "content: \"&lt;p&gt;名洋美容生活馆&lt;/p&gt;\"\n" +
                        "create_time: \"2022-05-10 10:34:12\"\n" +
                        "desc: \"ROS'S (BINARY PREMIUM)\"\n" +
                        "    description: \"名洋美容生活馆\"\n" +
                        "flag: \"\"\n" +
                        "hits: 0\n" +
                        "id: 84\n" +
                        "img: \"/public/uploads/94/b82372dc60e91e90dcaf06522690e0.jpg\"\n" +
                        "keywords: \"\"\n" +
                        "lang: \"zh-cn\"\n" +
                        "phone: \"0427-2689588\"\n" +
                        "shop: \"\"\n" +
                        "sort: 0\n" +
                        "status: 1\n" +
                        "tags: \"\"\n" +
                        "title: \"名洋美容养生馆\"\n" +
                        "uid: 0\n" +
                        "update_time: \"2022-05-10 10:34:12\"\n" +
                        "\n" +
                        "84:\n" +
                        "address: \"广东省东莞市东城街道振兴路180号\"\n" +
                        "allimg: \"/public/uploads/15/46a62f19c6c495e59d144d4605ed71.png\"\n" +
                        "cid: 6\n" +
                        "content: \"&lt;p&gt;中盟摩登妈妈月子会所&lt;/p&gt;\"\n" +
                        "create_time: \"2022-06-07 11:33:16\"\n" +
                        "desc: \"ROSS (BINARY PREMIUM)\"\n" +
                        "    description: \"中盟摩登妈妈月子会所\"\n" +
                        "flag: \"\"\n" +
                        "hits: 0\n" +
                        "id: 85\n" +
                        "img: \"/public/uploads/15/46a62f19c6c495e59d144d4605ed71.png\"\n" +
                        "keywords: \"中盟摩登妈妈月子会所\"\n" +
                        "lang: \"zh-cn\"\n" +
                        "phone: \"400 101 3268\"\n" +
                        "shop: \"东莞\"\n" +
                        "sort: 0\n" +
                        "status: 1\n" +
                        "tags: \"中盟摩登妈妈月子会所\"\n" +
                        "title: \"中盟摩登妈妈月子会所\"\n" +
                        "uid: 0\n" +
                        "update_time: \"2022-06-07 11:33:16\"\n";

        String[] split = ss.split("\n");
        StringBuffer real = new StringBuffer();
        for (String s : split) {
            if(s.contains("address")){
                real.append(s).append("\n");
            }
            if(s.contains("allimg")){
                real.append(s).append("\n");
            }
            if(s.contains("description")){
                real.append(s).append("\n");
            }
            if(s.contains("img")&&!s.contains("allimg")){
                real.append(s).append("\n");
            }
            if(s.contains("phone")){
                real.append(s).append("\n");
            }
            if(s.contains("shop")){
                real.append(s).append("\n");
            }
            if(s.contains("title")){
                real.append(s).append("\n");
            }
        }
        String[] split1 = real.toString().split("\n");
        RossAddressVo address = new RossAddressVo();
        for (int i = 0; i < split1.length; i++) {
            if(0==i%7){
                String[] split2 = split1[i].split(":");
                address.setAddress(split2[1]);
            }
            if(1==i%7){
                String[] split2 = split1[i].split(":");
                address.setAllimg(split2[1]);
            }
            if(2==i%7){
                String[] split2 = split1[i].split(":");
                address.setDescription(split2[1]);
            }
            if(3==i%7){
                String[] split2 = split1[i].split(":");
                String s = "http://spainross.com" + split2[1];
                address.setImgs(s);
            }
            if(4==i%7){
                String[] split2 = split1[i].split(":");
                address.setPhone(split2[1]);
            }
            if(5==i%7){
                String[] split2 = split1[i].split(":");
                address.setShopName(split2[1]);
            }
            if(6==i%7){
                String[] split2 = split1[i].split(":");
                address.setShopTitle(split2[1]);
            }
            if(6==i%7){
                CmBrandAuthPo cmBrandAuthPo = new CmBrandAuthPo();
                cmBrandAuthPo.setAuthParty(address.getShopTitle());
                cmBrandAuthPo.setRemarks(address.getDescription());
                cmBrandAuthPo.setAddress(address.getAddress());
                cmBrandAuthPo.setMobile(address.getPhone());
                cmBrandAuthPo.setLogo(address.getImgs());
                cmBrandAuthPo.setStatus(1);
                cmBrandAuthPo.setShopAuditStatus(1);
                cmBrandAuthPo.setAuditStatus(1);
                cmBrandAuthPo.setDelFlag(0);
                authMapper.insertAuth(cmBrandAuthPo);

            }
        }
    }

}
